import { defineComponent as tt, computed as O, withDirectives as _n, openBlock as F, createElementBlock as $, normalizeClass as ct, renderSlot as H, unref as V, createElementVNode as Ft, createCommentVNode as et, vShow as In, watch as Nn, h as qe, toDisplayString as Nt, createVNode as xe, Fragment as Ut, createTextVNode as Wt, ref as Tn } from "vue";
function P(t) {
  if (typeof t == "boolean")
    return t;
  if (typeof t == "string")
    switch (t = t.trim().toLowerCase(), t) {
      case "true":
        return !0;
      case "false":
        return !1;
    }
}
const Yr = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  parseBoolean: P
}, Symbol.toStringTag, { value: "Module" })), Ln = ["aria-label"], Br = /* @__PURE__ */ tt({
  __name: "TarAlert",
  props: {
    close: { default: "Close" },
    dismissible: { type: [Boolean, String] },
    modelValue: { type: [Boolean, String] },
    show: { type: [Boolean, String] },
    variant: { default: "primary" }
  },
  emits: ["update:model-value"],
  setup(t) {
    const e = t, n = O(() => P(e.show) || P(e.modelValue) || !1), a = O(() => {
      const r = ["alert"];
      return e.variant && r.push(`alert-${e.variant}`), P(e.dismissible) && r.push("alert-dismissible"), n.value && r.push("show"), r;
    });
    return (r, i) => _n((F(), $("div", {
      class: ct(a.value),
      role: "alert"
    }, [
      H(r.$slots, "default"),
      V(P)(r.dismissible) ? H(r.$slots, "close-button", { key: 0 }, () => [
        Ft("button", {
          type: "button",
          class: "btn-close",
          "aria-label": r.close,
          onClick: i[0] || (i[0] = (o) => r.$emit("update:model-value", !1))
        }, null, 8, Ln)
      ]) : et("", !0)
    ], 2)), [
      [In, n.value]
    ]);
  }
});
function Ae(t, e) {
  var n = Object.keys(t);
  if (Object.getOwnPropertySymbols) {
    var a = Object.getOwnPropertySymbols(t);
    e && (a = a.filter(function(r) {
      return Object.getOwnPropertyDescriptor(t, r).enumerable;
    })), n.push.apply(n, a);
  }
  return n;
}
function m(t) {
  for (var e = 1; e < arguments.length; e++) {
    var n = arguments[e] != null ? arguments[e] : {};
    e % 2 ? Ae(Object(n), !0).forEach(function(a) {
      S(t, a, n[a]);
    }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(t, Object.getOwnPropertyDescriptors(n)) : Ae(Object(n)).forEach(function(a) {
      Object.defineProperty(t, a, Object.getOwnPropertyDescriptor(n, a));
    });
  }
  return t;
}
function Tt(t) {
  "@babel/helpers - typeof";
  return Tt = typeof Symbol == "function" && typeof Symbol.iterator == "symbol" ? function(e) {
    return typeof e;
  } : function(e) {
    return e && typeof Symbol == "function" && e.constructor === Symbol && e !== Symbol.prototype ? "symbol" : typeof e;
  }, Tt(t);
}
function Mn(t, e) {
  if (!(t instanceof e))
    throw new TypeError("Cannot call a class as a function");
}
function Se(t, e) {
  for (var n = 0; n < e.length; n++) {
    var a = e[n];
    a.enumerable = a.enumerable || !1, a.configurable = !0, "value" in a && (a.writable = !0), Object.defineProperty(t, a.key, a);
  }
}
function zn(t, e, n) {
  return e && Se(t.prototype, e), n && Se(t, n), Object.defineProperty(t, "prototype", {
    writable: !1
  }), t;
}
function S(t, e, n) {
  return e in t ? Object.defineProperty(t, e, {
    value: n,
    enumerable: !0,
    configurable: !0,
    writable: !0
  }) : t[e] = n, t;
}
function fe(t, e) {
  return Fn(t) || jn(t, e) || Qe(t, e) || Yn();
}
function gt(t) {
  return Rn(t) || $n(t) || Qe(t) || Dn();
}
function Rn(t) {
  if (Array.isArray(t))
    return Kt(t);
}
function Fn(t) {
  if (Array.isArray(t))
    return t;
}
function $n(t) {
  if (typeof Symbol < "u" && t[Symbol.iterator] != null || t["@@iterator"] != null)
    return Array.from(t);
}
function jn(t, e) {
  var n = t == null ? null : typeof Symbol < "u" && t[Symbol.iterator] || t["@@iterator"];
  if (n != null) {
    var a = [], r = !0, i = !1, o, s;
    try {
      for (n = n.call(t); !(r = (o = n.next()).done) && (a.push(o.value), !(e && a.length === e)); r = !0)
        ;
    } catch (f) {
      i = !0, s = f;
    } finally {
      try {
        !r && n.return != null && n.return();
      } finally {
        if (i)
          throw s;
      }
    }
    return a;
  }
}
function Qe(t, e) {
  if (t) {
    if (typeof t == "string")
      return Kt(t, e);
    var n = Object.prototype.toString.call(t).slice(8, -1);
    if (n === "Object" && t.constructor && (n = t.constructor.name), n === "Map" || n === "Set")
      return Array.from(t);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n))
      return Kt(t, e);
  }
}
function Kt(t, e) {
  (e == null || e > t.length) && (e = t.length);
  for (var n = 0, a = new Array(e); n < e; n++)
    a[n] = t[n];
  return a;
}
function Dn() {
  throw new TypeError(`Invalid attempt to spread non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`);
}
function Yn() {
  throw new TypeError(`Invalid attempt to destructure non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`);
}
var Oe = function() {
}, le = {}, Ze = {}, Je = null, tn = {
  mark: Oe,
  measure: Oe
};
try {
  typeof window < "u" && (le = window), typeof document < "u" && (Ze = document), typeof MutationObserver < "u" && (Je = MutationObserver), typeof performance < "u" && (tn = performance);
} catch {
}
var Bn = le.navigator || {}, Pe = Bn.userAgent, Ee = Pe === void 0 ? "" : Pe, G = le, k = Ze, Ce = Je, kt = tn;
G.document;
var B = !!k.documentElement && !!k.head && typeof k.addEventListener == "function" && typeof k.createElement == "function", en = ~Ee.indexOf("MSIE") || ~Ee.indexOf("Trident/"), wt, xt, At, St, Ot, j = "___FONT_AWESOME___", qt = 16, nn = "fa", an = "svg-inline--fa", Z = "data-fa-i2svg", Qt = "data-fa-pseudo-element", Un = "data-fa-pseudo-element-pending", ue = "data-prefix", ce = "data-icon", _e = "fontawesome-i2svg", Wn = "async", Hn = ["HTML", "HEAD", "STYLE", "SCRIPT"], rn = function() {
  try {
    return process.env.NODE_ENV === "production";
  } catch {
    return !1;
  }
}(), y = "classic", w = "sharp", me = [y, w];
function ht(t) {
  return new Proxy(t, {
    get: function(n, a) {
      return a in n ? n[a] : n[y];
    }
  });
}
var mt = ht((wt = {}, S(wt, y, {
  fa: "solid",
  fas: "solid",
  "fa-solid": "solid",
  far: "regular",
  "fa-regular": "regular",
  fal: "light",
  "fa-light": "light",
  fat: "thin",
  "fa-thin": "thin",
  fad: "duotone",
  "fa-duotone": "duotone",
  fab: "brands",
  "fa-brands": "brands",
  fak: "kit",
  fakd: "kit",
  "fa-kit": "kit",
  "fa-kit-duotone": "kit"
}), S(wt, w, {
  fa: "solid",
  fass: "solid",
  "fa-solid": "solid",
  fasr: "regular",
  "fa-regular": "regular",
  fasl: "light",
  "fa-light": "light",
  fast: "thin",
  "fa-thin": "thin"
}), wt)), dt = ht((xt = {}, S(xt, y, {
  solid: "fas",
  regular: "far",
  light: "fal",
  thin: "fat",
  duotone: "fad",
  brands: "fab",
  kit: "fak"
}), S(xt, w, {
  solid: "fass",
  regular: "fasr",
  light: "fasl",
  thin: "fast"
}), xt)), vt = ht((At = {}, S(At, y, {
  fab: "fa-brands",
  fad: "fa-duotone",
  fak: "fa-kit",
  fal: "fa-light",
  far: "fa-regular",
  fas: "fa-solid",
  fat: "fa-thin"
}), S(At, w, {
  fass: "fa-solid",
  fasr: "fa-regular",
  fasl: "fa-light",
  fast: "fa-thin"
}), At)), Vn = ht((St = {}, S(St, y, {
  "fa-brands": "fab",
  "fa-duotone": "fad",
  "fa-kit": "fak",
  "fa-light": "fal",
  "fa-regular": "far",
  "fa-solid": "fas",
  "fa-thin": "fat"
}), S(St, w, {
  "fa-solid": "fass",
  "fa-regular": "fasr",
  "fa-light": "fasl",
  "fa-thin": "fast"
}), St)), Gn = /fa(s|r|l|t|d|b|k|ss|sr|sl|st)?[\-\ ]/, on = "fa-layers-text", Xn = /Font ?Awesome ?([56 ]*)(Solid|Regular|Light|Thin|Duotone|Brands|Free|Pro|Sharp|Kit)?.*/i, Kn = ht((Ot = {}, S(Ot, y, {
  900: "fas",
  400: "far",
  normal: "far",
  300: "fal",
  100: "fat"
}), S(Ot, w, {
  900: "fass",
  400: "fasr",
  300: "fasl",
  100: "fast"
}), Ot)), sn = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10], qn = sn.concat([11, 12, 13, 14, 15, 16, 17, 18, 19, 20]), Qn = ["class", "data-prefix", "data-icon", "data-fa-transform", "data-fa-mask"], q = {
  GROUP: "duotone-group",
  SWAP_OPACITY: "swap-opacity",
  PRIMARY: "primary",
  SECONDARY: "secondary"
}, pt = /* @__PURE__ */ new Set();
Object.keys(dt[y]).map(pt.add.bind(pt));
Object.keys(dt[w]).map(pt.add.bind(pt));
var Zn = [].concat(me, gt(pt), ["2xs", "xs", "sm", "lg", "xl", "2xl", "beat", "border", "fade", "beat-fade", "bounce", "flip-both", "flip-horizontal", "flip-vertical", "flip", "fw", "inverse", "layers-counter", "layers-text", "layers", "li", "pull-left", "pull-right", "pulse", "rotate-180", "rotate-270", "rotate-90", "rotate-by", "shake", "spin-pulse", "spin-reverse", "spin", "stack-1x", "stack-2x", "stack", "ul", q.GROUP, q.SWAP_OPACITY, q.PRIMARY, q.SECONDARY]).concat(sn.map(function(t) {
  return "".concat(t, "x");
})).concat(qn.map(function(t) {
  return "w-".concat(t);
})), ft = G.FontAwesomeConfig || {};
function Jn(t) {
  var e = k.querySelector("script[" + t + "]");
  if (e)
    return e.getAttribute(t);
}
function ta(t) {
  return t === "" ? !0 : t === "false" ? !1 : t === "true" ? !0 : t;
}
if (k && typeof k.querySelector == "function") {
  var ea = [["data-family-prefix", "familyPrefix"], ["data-css-prefix", "cssPrefix"], ["data-family-default", "familyDefault"], ["data-style-default", "styleDefault"], ["data-replacement-class", "replacementClass"], ["data-auto-replace-svg", "autoReplaceSvg"], ["data-auto-add-css", "autoAddCss"], ["data-auto-a11y", "autoA11y"], ["data-search-pseudo-elements", "searchPseudoElements"], ["data-observe-mutations", "observeMutations"], ["data-mutate-approach", "mutateApproach"], ["data-keep-original-source", "keepOriginalSource"], ["data-measure-performance", "measurePerformance"], ["data-show-missing-icons", "showMissingIcons"]];
  ea.forEach(function(t) {
    var e = fe(t, 2), n = e[0], a = e[1], r = ta(Jn(n));
    r != null && (ft[a] = r);
  });
}
var fn = {
  styleDefault: "solid",
  familyDefault: "classic",
  cssPrefix: nn,
  replacementClass: an,
  autoReplaceSvg: !0,
  autoAddCss: !0,
  autoA11y: !0,
  searchPseudoElements: !1,
  observeMutations: !0,
  mutateApproach: "async",
  keepOriginalSource: !0,
  measurePerformance: !1,
  showMissingIcons: !0
};
ft.familyPrefix && (ft.cssPrefix = ft.familyPrefix);
var it = m(m({}, fn), ft);
it.autoReplaceSvg || (it.observeMutations = !1);
var d = {};
Object.keys(fn).forEach(function(t) {
  Object.defineProperty(d, t, {
    enumerable: !0,
    set: function(n) {
      it[t] = n, lt.forEach(function(a) {
        return a(d);
      });
    },
    get: function() {
      return it[t];
    }
  });
});
Object.defineProperty(d, "familyPrefix", {
  enumerable: !0,
  set: function(e) {
    it.cssPrefix = e, lt.forEach(function(n) {
      return n(d);
    });
  },
  get: function() {
    return it.cssPrefix;
  }
});
G.FontAwesomeConfig = d;
var lt = [];
function na(t) {
  return lt.push(t), function() {
    lt.splice(lt.indexOf(t), 1);
  };
}
var W = qt, R = {
  size: 16,
  x: 0,
  y: 0,
  rotate: 0,
  flipX: !1,
  flipY: !1
};
function aa(t) {
  if (!(!t || !B)) {
    var e = k.createElement("style");
    e.setAttribute("type", "text/css"), e.innerHTML = t;
    for (var n = k.head.childNodes, a = null, r = n.length - 1; r > -1; r--) {
      var i = n[r], o = (i.tagName || "").toUpperCase();
      ["STYLE", "LINK"].indexOf(o) > -1 && (a = i);
    }
    return k.head.insertBefore(e, a), t;
  }
}
var ra = "0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ";
function bt() {
  for (var t = 12, e = ""; t-- > 0; )
    e += ra[Math.random() * 62 | 0];
  return e;
}
function ot(t) {
  for (var e = [], n = (t || []).length >>> 0; n--; )
    e[n] = t[n];
  return e;
}
function de(t) {
  return t.classList ? ot(t.classList) : (t.getAttribute("class") || "").split(" ").filter(function(e) {
    return e;
  });
}
function ln(t) {
  return "".concat(t).replace(/&/g, "&amp;").replace(/"/g, "&quot;").replace(/'/g, "&#39;").replace(/</g, "&lt;").replace(/>/g, "&gt;");
}
function ia(t) {
  return Object.keys(t || {}).reduce(function(e, n) {
    return e + "".concat(n, '="').concat(ln(t[n]), '" ');
  }, "").trim();
}
function $t(t) {
  return Object.keys(t || {}).reduce(function(e, n) {
    return e + "".concat(n, ": ").concat(t[n].trim(), ";");
  }, "");
}
function ve(t) {
  return t.size !== R.size || t.x !== R.x || t.y !== R.y || t.rotate !== R.rotate || t.flipX || t.flipY;
}
function oa(t) {
  var e = t.transform, n = t.containerWidth, a = t.iconWidth, r = {
    transform: "translate(".concat(n / 2, " 256)")
  }, i = "translate(".concat(e.x * 32, ", ").concat(e.y * 32, ") "), o = "scale(".concat(e.size / 16 * (e.flipX ? -1 : 1), ", ").concat(e.size / 16 * (e.flipY ? -1 : 1), ") "), s = "rotate(".concat(e.rotate, " 0 0)"), f = {
    transform: "".concat(i, " ").concat(o, " ").concat(s)
  }, c = {
    transform: "translate(".concat(a / 2 * -1, " -256)")
  };
  return {
    outer: r,
    inner: f,
    path: c
  };
}
function sa(t) {
  var e = t.transform, n = t.width, a = n === void 0 ? qt : n, r = t.height, i = r === void 0 ? qt : r, o = t.startCentered, s = o === void 0 ? !1 : o, f = "";
  return s && en ? f += "translate(".concat(e.x / W - a / 2, "em, ").concat(e.y / W - i / 2, "em) ") : s ? f += "translate(calc(-50% + ".concat(e.x / W, "em), calc(-50% + ").concat(e.y / W, "em)) ") : f += "translate(".concat(e.x / W, "em, ").concat(e.y / W, "em) "), f += "scale(".concat(e.size / W * (e.flipX ? -1 : 1), ", ").concat(e.size / W * (e.flipY ? -1 : 1), ") "), f += "rotate(".concat(e.rotate, "deg) "), f;
}
var fa = `:root, :host {
  --fa-font-solid: normal 900 1em/1 "Font Awesome 6 Solid";
  --fa-font-regular: normal 400 1em/1 "Font Awesome 6 Regular";
  --fa-font-light: normal 300 1em/1 "Font Awesome 6 Light";
  --fa-font-thin: normal 100 1em/1 "Font Awesome 6 Thin";
  --fa-font-duotone: normal 900 1em/1 "Font Awesome 6 Duotone";
  --fa-font-sharp-solid: normal 900 1em/1 "Font Awesome 6 Sharp";
  --fa-font-sharp-regular: normal 400 1em/1 "Font Awesome 6 Sharp";
  --fa-font-sharp-light: normal 300 1em/1 "Font Awesome 6 Sharp";
  --fa-font-sharp-thin: normal 100 1em/1 "Font Awesome 6 Sharp";
  --fa-font-brands: normal 400 1em/1 "Font Awesome 6 Brands";
}

svg:not(:root).svg-inline--fa, svg:not(:host).svg-inline--fa {
  overflow: visible;
  box-sizing: content-box;
}

.svg-inline--fa {
  display: var(--fa-display, inline-block);
  height: 1em;
  overflow: visible;
  vertical-align: -0.125em;
}
.svg-inline--fa.fa-2xs {
  vertical-align: 0.1em;
}
.svg-inline--fa.fa-xs {
  vertical-align: 0em;
}
.svg-inline--fa.fa-sm {
  vertical-align: -0.0714285705em;
}
.svg-inline--fa.fa-lg {
  vertical-align: -0.2em;
}
.svg-inline--fa.fa-xl {
  vertical-align: -0.25em;
}
.svg-inline--fa.fa-2xl {
  vertical-align: -0.3125em;
}
.svg-inline--fa.fa-pull-left {
  margin-right: var(--fa-pull-margin, 0.3em);
  width: auto;
}
.svg-inline--fa.fa-pull-right {
  margin-left: var(--fa-pull-margin, 0.3em);
  width: auto;
}
.svg-inline--fa.fa-li {
  width: var(--fa-li-width, 2em);
  top: 0.25em;
}
.svg-inline--fa.fa-fw {
  width: var(--fa-fw-width, 1.25em);
}

.fa-layers svg.svg-inline--fa {
  bottom: 0;
  left: 0;
  margin: auto;
  position: absolute;
  right: 0;
  top: 0;
}

.fa-layers-counter, .fa-layers-text {
  display: inline-block;
  position: absolute;
  text-align: center;
}

.fa-layers {
  display: inline-block;
  height: 1em;
  position: relative;
  text-align: center;
  vertical-align: -0.125em;
  width: 1em;
}
.fa-layers svg.svg-inline--fa {
  -webkit-transform-origin: center center;
          transform-origin: center center;
}

.fa-layers-text {
  left: 50%;
  top: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
  -webkit-transform-origin: center center;
          transform-origin: center center;
}

.fa-layers-counter {
  background-color: var(--fa-counter-background-color, #ff253a);
  border-radius: var(--fa-counter-border-radius, 1em);
  box-sizing: border-box;
  color: var(--fa-inverse, #fff);
  line-height: var(--fa-counter-line-height, 1);
  max-width: var(--fa-counter-max-width, 5em);
  min-width: var(--fa-counter-min-width, 1.5em);
  overflow: hidden;
  padding: var(--fa-counter-padding, 0.25em 0.5em);
  right: var(--fa-right, 0);
  text-overflow: ellipsis;
  top: var(--fa-top, 0);
  -webkit-transform: scale(var(--fa-counter-scale, 0.25));
          transform: scale(var(--fa-counter-scale, 0.25));
  -webkit-transform-origin: top right;
          transform-origin: top right;
}

.fa-layers-bottom-right {
  bottom: var(--fa-bottom, 0);
  right: var(--fa-right, 0);
  top: auto;
  -webkit-transform: scale(var(--fa-layers-scale, 0.25));
          transform: scale(var(--fa-layers-scale, 0.25));
  -webkit-transform-origin: bottom right;
          transform-origin: bottom right;
}

.fa-layers-bottom-left {
  bottom: var(--fa-bottom, 0);
  left: var(--fa-left, 0);
  right: auto;
  top: auto;
  -webkit-transform: scale(var(--fa-layers-scale, 0.25));
          transform: scale(var(--fa-layers-scale, 0.25));
  -webkit-transform-origin: bottom left;
          transform-origin: bottom left;
}

.fa-layers-top-right {
  top: var(--fa-top, 0);
  right: var(--fa-right, 0);
  -webkit-transform: scale(var(--fa-layers-scale, 0.25));
          transform: scale(var(--fa-layers-scale, 0.25));
  -webkit-transform-origin: top right;
          transform-origin: top right;
}

.fa-layers-top-left {
  left: var(--fa-left, 0);
  right: auto;
  top: var(--fa-top, 0);
  -webkit-transform: scale(var(--fa-layers-scale, 0.25));
          transform: scale(var(--fa-layers-scale, 0.25));
  -webkit-transform-origin: top left;
          transform-origin: top left;
}

.fa-1x {
  font-size: 1em;
}

.fa-2x {
  font-size: 2em;
}

.fa-3x {
  font-size: 3em;
}

.fa-4x {
  font-size: 4em;
}

.fa-5x {
  font-size: 5em;
}

.fa-6x {
  font-size: 6em;
}

.fa-7x {
  font-size: 7em;
}

.fa-8x {
  font-size: 8em;
}

.fa-9x {
  font-size: 9em;
}

.fa-10x {
  font-size: 10em;
}

.fa-2xs {
  font-size: 0.625em;
  line-height: 0.1em;
  vertical-align: 0.225em;
}

.fa-xs {
  font-size: 0.75em;
  line-height: 0.0833333337em;
  vertical-align: 0.125em;
}

.fa-sm {
  font-size: 0.875em;
  line-height: 0.0714285718em;
  vertical-align: 0.0535714295em;
}

.fa-lg {
  font-size: 1.25em;
  line-height: 0.05em;
  vertical-align: -0.075em;
}

.fa-xl {
  font-size: 1.5em;
  line-height: 0.0416666682em;
  vertical-align: -0.125em;
}

.fa-2xl {
  font-size: 2em;
  line-height: 0.03125em;
  vertical-align: -0.1875em;
}

.fa-fw {
  text-align: center;
  width: 1.25em;
}

.fa-ul {
  list-style-type: none;
  margin-left: var(--fa-li-margin, 2.5em);
  padding-left: 0;
}
.fa-ul > li {
  position: relative;
}

.fa-li {
  left: calc(var(--fa-li-width, 2em) * -1);
  position: absolute;
  text-align: center;
  width: var(--fa-li-width, 2em);
  line-height: inherit;
}

.fa-border {
  border-color: var(--fa-border-color, #eee);
  border-radius: var(--fa-border-radius, 0.1em);
  border-style: var(--fa-border-style, solid);
  border-width: var(--fa-border-width, 0.08em);
  padding: var(--fa-border-padding, 0.2em 0.25em 0.15em);
}

.fa-pull-left {
  float: left;
  margin-right: var(--fa-pull-margin, 0.3em);
}

.fa-pull-right {
  float: right;
  margin-left: var(--fa-pull-margin, 0.3em);
}

.fa-beat {
  -webkit-animation-name: fa-beat;
          animation-name: fa-beat;
  -webkit-animation-delay: var(--fa-animation-delay, 0s);
          animation-delay: var(--fa-animation-delay, 0s);
  -webkit-animation-direction: var(--fa-animation-direction, normal);
          animation-direction: var(--fa-animation-direction, normal);
  -webkit-animation-duration: var(--fa-animation-duration, 1s);
          animation-duration: var(--fa-animation-duration, 1s);
  -webkit-animation-iteration-count: var(--fa-animation-iteration-count, infinite);
          animation-iteration-count: var(--fa-animation-iteration-count, infinite);
  -webkit-animation-timing-function: var(--fa-animation-timing, ease-in-out);
          animation-timing-function: var(--fa-animation-timing, ease-in-out);
}

.fa-bounce {
  -webkit-animation-name: fa-bounce;
          animation-name: fa-bounce;
  -webkit-animation-delay: var(--fa-animation-delay, 0s);
          animation-delay: var(--fa-animation-delay, 0s);
  -webkit-animation-direction: var(--fa-animation-direction, normal);
          animation-direction: var(--fa-animation-direction, normal);
  -webkit-animation-duration: var(--fa-animation-duration, 1s);
          animation-duration: var(--fa-animation-duration, 1s);
  -webkit-animation-iteration-count: var(--fa-animation-iteration-count, infinite);
          animation-iteration-count: var(--fa-animation-iteration-count, infinite);
  -webkit-animation-timing-function: var(--fa-animation-timing, cubic-bezier(0.28, 0.84, 0.42, 1));
          animation-timing-function: var(--fa-animation-timing, cubic-bezier(0.28, 0.84, 0.42, 1));
}

.fa-fade {
  -webkit-animation-name: fa-fade;
          animation-name: fa-fade;
  -webkit-animation-delay: var(--fa-animation-delay, 0s);
          animation-delay: var(--fa-animation-delay, 0s);
  -webkit-animation-direction: var(--fa-animation-direction, normal);
          animation-direction: var(--fa-animation-direction, normal);
  -webkit-animation-duration: var(--fa-animation-duration, 1s);
          animation-duration: var(--fa-animation-duration, 1s);
  -webkit-animation-iteration-count: var(--fa-animation-iteration-count, infinite);
          animation-iteration-count: var(--fa-animation-iteration-count, infinite);
  -webkit-animation-timing-function: var(--fa-animation-timing, cubic-bezier(0.4, 0, 0.6, 1));
          animation-timing-function: var(--fa-animation-timing, cubic-bezier(0.4, 0, 0.6, 1));
}

.fa-beat-fade {
  -webkit-animation-name: fa-beat-fade;
          animation-name: fa-beat-fade;
  -webkit-animation-delay: var(--fa-animation-delay, 0s);
          animation-delay: var(--fa-animation-delay, 0s);
  -webkit-animation-direction: var(--fa-animation-direction, normal);
          animation-direction: var(--fa-animation-direction, normal);
  -webkit-animation-duration: var(--fa-animation-duration, 1s);
          animation-duration: var(--fa-animation-duration, 1s);
  -webkit-animation-iteration-count: var(--fa-animation-iteration-count, infinite);
          animation-iteration-count: var(--fa-animation-iteration-count, infinite);
  -webkit-animation-timing-function: var(--fa-animation-timing, cubic-bezier(0.4, 0, 0.6, 1));
          animation-timing-function: var(--fa-animation-timing, cubic-bezier(0.4, 0, 0.6, 1));
}

.fa-flip {
  -webkit-animation-name: fa-flip;
          animation-name: fa-flip;
  -webkit-animation-delay: var(--fa-animation-delay, 0s);
          animation-delay: var(--fa-animation-delay, 0s);
  -webkit-animation-direction: var(--fa-animation-direction, normal);
          animation-direction: var(--fa-animation-direction, normal);
  -webkit-animation-duration: var(--fa-animation-duration, 1s);
          animation-duration: var(--fa-animation-duration, 1s);
  -webkit-animation-iteration-count: var(--fa-animation-iteration-count, infinite);
          animation-iteration-count: var(--fa-animation-iteration-count, infinite);
  -webkit-animation-timing-function: var(--fa-animation-timing, ease-in-out);
          animation-timing-function: var(--fa-animation-timing, ease-in-out);
}

.fa-shake {
  -webkit-animation-name: fa-shake;
          animation-name: fa-shake;
  -webkit-animation-delay: var(--fa-animation-delay, 0s);
          animation-delay: var(--fa-animation-delay, 0s);
  -webkit-animation-direction: var(--fa-animation-direction, normal);
          animation-direction: var(--fa-animation-direction, normal);
  -webkit-animation-duration: var(--fa-animation-duration, 1s);
          animation-duration: var(--fa-animation-duration, 1s);
  -webkit-animation-iteration-count: var(--fa-animation-iteration-count, infinite);
          animation-iteration-count: var(--fa-animation-iteration-count, infinite);
  -webkit-animation-timing-function: var(--fa-animation-timing, linear);
          animation-timing-function: var(--fa-animation-timing, linear);
}

.fa-spin {
  -webkit-animation-name: fa-spin;
          animation-name: fa-spin;
  -webkit-animation-delay: var(--fa-animation-delay, 0s);
          animation-delay: var(--fa-animation-delay, 0s);
  -webkit-animation-direction: var(--fa-animation-direction, normal);
          animation-direction: var(--fa-animation-direction, normal);
  -webkit-animation-duration: var(--fa-animation-duration, 2s);
          animation-duration: var(--fa-animation-duration, 2s);
  -webkit-animation-iteration-count: var(--fa-animation-iteration-count, infinite);
          animation-iteration-count: var(--fa-animation-iteration-count, infinite);
  -webkit-animation-timing-function: var(--fa-animation-timing, linear);
          animation-timing-function: var(--fa-animation-timing, linear);
}

.fa-spin-reverse {
  --fa-animation-direction: reverse;
}

.fa-pulse,
.fa-spin-pulse {
  -webkit-animation-name: fa-spin;
          animation-name: fa-spin;
  -webkit-animation-direction: var(--fa-animation-direction, normal);
          animation-direction: var(--fa-animation-direction, normal);
  -webkit-animation-duration: var(--fa-animation-duration, 1s);
          animation-duration: var(--fa-animation-duration, 1s);
  -webkit-animation-iteration-count: var(--fa-animation-iteration-count, infinite);
          animation-iteration-count: var(--fa-animation-iteration-count, infinite);
  -webkit-animation-timing-function: var(--fa-animation-timing, steps(8));
          animation-timing-function: var(--fa-animation-timing, steps(8));
}

@media (prefers-reduced-motion: reduce) {
  .fa-beat,
.fa-bounce,
.fa-fade,
.fa-beat-fade,
.fa-flip,
.fa-pulse,
.fa-shake,
.fa-spin,
.fa-spin-pulse {
    -webkit-animation-delay: -1ms;
            animation-delay: -1ms;
    -webkit-animation-duration: 1ms;
            animation-duration: 1ms;
    -webkit-animation-iteration-count: 1;
            animation-iteration-count: 1;
    -webkit-transition-delay: 0s;
            transition-delay: 0s;
    -webkit-transition-duration: 0s;
            transition-duration: 0s;
  }
}
@-webkit-keyframes fa-beat {
  0%, 90% {
    -webkit-transform: scale(1);
            transform: scale(1);
  }
  45% {
    -webkit-transform: scale(var(--fa-beat-scale, 1.25));
            transform: scale(var(--fa-beat-scale, 1.25));
  }
}
@keyframes fa-beat {
  0%, 90% {
    -webkit-transform: scale(1);
            transform: scale(1);
  }
  45% {
    -webkit-transform: scale(var(--fa-beat-scale, 1.25));
            transform: scale(var(--fa-beat-scale, 1.25));
  }
}
@-webkit-keyframes fa-bounce {
  0% {
    -webkit-transform: scale(1, 1) translateY(0);
            transform: scale(1, 1) translateY(0);
  }
  10% {
    -webkit-transform: scale(var(--fa-bounce-start-scale-x, 1.1), var(--fa-bounce-start-scale-y, 0.9)) translateY(0);
            transform: scale(var(--fa-bounce-start-scale-x, 1.1), var(--fa-bounce-start-scale-y, 0.9)) translateY(0);
  }
  30% {
    -webkit-transform: scale(var(--fa-bounce-jump-scale-x, 0.9), var(--fa-bounce-jump-scale-y, 1.1)) translateY(var(--fa-bounce-height, -0.5em));
            transform: scale(var(--fa-bounce-jump-scale-x, 0.9), var(--fa-bounce-jump-scale-y, 1.1)) translateY(var(--fa-bounce-height, -0.5em));
  }
  50% {
    -webkit-transform: scale(var(--fa-bounce-land-scale-x, 1.05), var(--fa-bounce-land-scale-y, 0.95)) translateY(0);
            transform: scale(var(--fa-bounce-land-scale-x, 1.05), var(--fa-bounce-land-scale-y, 0.95)) translateY(0);
  }
  57% {
    -webkit-transform: scale(1, 1) translateY(var(--fa-bounce-rebound, -0.125em));
            transform: scale(1, 1) translateY(var(--fa-bounce-rebound, -0.125em));
  }
  64% {
    -webkit-transform: scale(1, 1) translateY(0);
            transform: scale(1, 1) translateY(0);
  }
  100% {
    -webkit-transform: scale(1, 1) translateY(0);
            transform: scale(1, 1) translateY(0);
  }
}
@keyframes fa-bounce {
  0% {
    -webkit-transform: scale(1, 1) translateY(0);
            transform: scale(1, 1) translateY(0);
  }
  10% {
    -webkit-transform: scale(var(--fa-bounce-start-scale-x, 1.1), var(--fa-bounce-start-scale-y, 0.9)) translateY(0);
            transform: scale(var(--fa-bounce-start-scale-x, 1.1), var(--fa-bounce-start-scale-y, 0.9)) translateY(0);
  }
  30% {
    -webkit-transform: scale(var(--fa-bounce-jump-scale-x, 0.9), var(--fa-bounce-jump-scale-y, 1.1)) translateY(var(--fa-bounce-height, -0.5em));
            transform: scale(var(--fa-bounce-jump-scale-x, 0.9), var(--fa-bounce-jump-scale-y, 1.1)) translateY(var(--fa-bounce-height, -0.5em));
  }
  50% {
    -webkit-transform: scale(var(--fa-bounce-land-scale-x, 1.05), var(--fa-bounce-land-scale-y, 0.95)) translateY(0);
            transform: scale(var(--fa-bounce-land-scale-x, 1.05), var(--fa-bounce-land-scale-y, 0.95)) translateY(0);
  }
  57% {
    -webkit-transform: scale(1, 1) translateY(var(--fa-bounce-rebound, -0.125em));
            transform: scale(1, 1) translateY(var(--fa-bounce-rebound, -0.125em));
  }
  64% {
    -webkit-transform: scale(1, 1) translateY(0);
            transform: scale(1, 1) translateY(0);
  }
  100% {
    -webkit-transform: scale(1, 1) translateY(0);
            transform: scale(1, 1) translateY(0);
  }
}
@-webkit-keyframes fa-fade {
  50% {
    opacity: var(--fa-fade-opacity, 0.4);
  }
}
@keyframes fa-fade {
  50% {
    opacity: var(--fa-fade-opacity, 0.4);
  }
}
@-webkit-keyframes fa-beat-fade {
  0%, 100% {
    opacity: var(--fa-beat-fade-opacity, 0.4);
    -webkit-transform: scale(1);
            transform: scale(1);
  }
  50% {
    opacity: 1;
    -webkit-transform: scale(var(--fa-beat-fade-scale, 1.125));
            transform: scale(var(--fa-beat-fade-scale, 1.125));
  }
}
@keyframes fa-beat-fade {
  0%, 100% {
    opacity: var(--fa-beat-fade-opacity, 0.4);
    -webkit-transform: scale(1);
            transform: scale(1);
  }
  50% {
    opacity: 1;
    -webkit-transform: scale(var(--fa-beat-fade-scale, 1.125));
            transform: scale(var(--fa-beat-fade-scale, 1.125));
  }
}
@-webkit-keyframes fa-flip {
  50% {
    -webkit-transform: rotate3d(var(--fa-flip-x, 0), var(--fa-flip-y, 1), var(--fa-flip-z, 0), var(--fa-flip-angle, -180deg));
            transform: rotate3d(var(--fa-flip-x, 0), var(--fa-flip-y, 1), var(--fa-flip-z, 0), var(--fa-flip-angle, -180deg));
  }
}
@keyframes fa-flip {
  50% {
    -webkit-transform: rotate3d(var(--fa-flip-x, 0), var(--fa-flip-y, 1), var(--fa-flip-z, 0), var(--fa-flip-angle, -180deg));
            transform: rotate3d(var(--fa-flip-x, 0), var(--fa-flip-y, 1), var(--fa-flip-z, 0), var(--fa-flip-angle, -180deg));
  }
}
@-webkit-keyframes fa-shake {
  0% {
    -webkit-transform: rotate(-15deg);
            transform: rotate(-15deg);
  }
  4% {
    -webkit-transform: rotate(15deg);
            transform: rotate(15deg);
  }
  8%, 24% {
    -webkit-transform: rotate(-18deg);
            transform: rotate(-18deg);
  }
  12%, 28% {
    -webkit-transform: rotate(18deg);
            transform: rotate(18deg);
  }
  16% {
    -webkit-transform: rotate(-22deg);
            transform: rotate(-22deg);
  }
  20% {
    -webkit-transform: rotate(22deg);
            transform: rotate(22deg);
  }
  32% {
    -webkit-transform: rotate(-12deg);
            transform: rotate(-12deg);
  }
  36% {
    -webkit-transform: rotate(12deg);
            transform: rotate(12deg);
  }
  40%, 100% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
}
@keyframes fa-shake {
  0% {
    -webkit-transform: rotate(-15deg);
            transform: rotate(-15deg);
  }
  4% {
    -webkit-transform: rotate(15deg);
            transform: rotate(15deg);
  }
  8%, 24% {
    -webkit-transform: rotate(-18deg);
            transform: rotate(-18deg);
  }
  12%, 28% {
    -webkit-transform: rotate(18deg);
            transform: rotate(18deg);
  }
  16% {
    -webkit-transform: rotate(-22deg);
            transform: rotate(-22deg);
  }
  20% {
    -webkit-transform: rotate(22deg);
            transform: rotate(22deg);
  }
  32% {
    -webkit-transform: rotate(-12deg);
            transform: rotate(-12deg);
  }
  36% {
    -webkit-transform: rotate(12deg);
            transform: rotate(12deg);
  }
  40%, 100% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
}
@-webkit-keyframes fa-spin {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
            transform: rotate(360deg);
  }
}
@keyframes fa-spin {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
            transform: rotate(360deg);
  }
}
.fa-rotate-90 {
  -webkit-transform: rotate(90deg);
          transform: rotate(90deg);
}

.fa-rotate-180 {
  -webkit-transform: rotate(180deg);
          transform: rotate(180deg);
}

.fa-rotate-270 {
  -webkit-transform: rotate(270deg);
          transform: rotate(270deg);
}

.fa-flip-horizontal {
  -webkit-transform: scale(-1, 1);
          transform: scale(-1, 1);
}

.fa-flip-vertical {
  -webkit-transform: scale(1, -1);
          transform: scale(1, -1);
}

.fa-flip-both,
.fa-flip-horizontal.fa-flip-vertical {
  -webkit-transform: scale(-1, -1);
          transform: scale(-1, -1);
}

.fa-rotate-by {
  -webkit-transform: rotate(var(--fa-rotate-angle, none));
          transform: rotate(var(--fa-rotate-angle, none));
}

.fa-stack {
  display: inline-block;
  vertical-align: middle;
  height: 2em;
  position: relative;
  width: 2.5em;
}

.fa-stack-1x,
.fa-stack-2x {
  bottom: 0;
  left: 0;
  margin: auto;
  position: absolute;
  right: 0;
  top: 0;
  z-index: var(--fa-stack-z-index, auto);
}

.svg-inline--fa.fa-stack-1x {
  height: 1em;
  width: 1.25em;
}
.svg-inline--fa.fa-stack-2x {
  height: 2em;
  width: 2.5em;
}

.fa-inverse {
  color: var(--fa-inverse, #fff);
}

.sr-only,
.fa-sr-only {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  border-width: 0;
}

.sr-only-focusable:not(:focus),
.fa-sr-only-focusable:not(:focus) {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  border-width: 0;
}

.svg-inline--fa .fa-primary {
  fill: var(--fa-primary-color, currentColor);
  opacity: var(--fa-primary-opacity, 1);
}

.svg-inline--fa .fa-secondary {
  fill: var(--fa-secondary-color, currentColor);
  opacity: var(--fa-secondary-opacity, 0.4);
}

.svg-inline--fa.fa-swap-opacity .fa-primary {
  opacity: var(--fa-secondary-opacity, 0.4);
}

.svg-inline--fa.fa-swap-opacity .fa-secondary {
  opacity: var(--fa-primary-opacity, 1);
}

.svg-inline--fa mask .fa-primary,
.svg-inline--fa mask .fa-secondary {
  fill: black;
}

.fad.fa-inverse,
.fa-duotone.fa-inverse {
  color: var(--fa-inverse, #fff);
}`;
function un() {
  var t = nn, e = an, n = d.cssPrefix, a = d.replacementClass, r = fa;
  if (n !== t || a !== e) {
    var i = new RegExp("\\.".concat(t, "\\-"), "g"), o = new RegExp("\\--".concat(t, "\\-"), "g"), s = new RegExp("\\.".concat(e), "g");
    r = r.replace(i, ".".concat(n, "-")).replace(o, "--".concat(n, "-")).replace(s, ".".concat(a));
  }
  return r;
}
var Ie = !1;
function Ht() {
  d.autoAddCss && !Ie && (aa(un()), Ie = !0);
}
var la = {
  mixout: function() {
    return {
      dom: {
        css: un,
        insertCss: Ht
      }
    };
  },
  hooks: function() {
    return {
      beforeDOMElementCreation: function() {
        Ht();
      },
      beforeI2svg: function() {
        Ht();
      }
    };
  }
}, D = G || {};
D[j] || (D[j] = {});
D[j].styles || (D[j].styles = {});
D[j].hooks || (D[j].hooks = {});
D[j].shims || (D[j].shims = []);
var M = D[j], cn = [], ua = function t() {
  k.removeEventListener("DOMContentLoaded", t), Lt = 1, cn.map(function(e) {
    return e();
  });
}, Lt = !1;
B && (Lt = (k.documentElement.doScroll ? /^loaded|^c/ : /^loaded|^i|^c/).test(k.readyState), Lt || k.addEventListener("DOMContentLoaded", ua));
function ca(t) {
  B && (Lt ? setTimeout(t, 0) : cn.push(t));
}
function yt(t) {
  var e = t.tag, n = t.attributes, a = n === void 0 ? {} : n, r = t.children, i = r === void 0 ? [] : r;
  return typeof t == "string" ? ln(t) : "<".concat(e, " ").concat(ia(a), ">").concat(i.map(yt).join(""), "</").concat(e, ">");
}
function Ne(t, e, n) {
  if (t && t[e] && t[e][n])
    return {
      prefix: e,
      iconName: n,
      icon: t[e][n]
    };
}
var ma = function(e, n) {
  return function(a, r, i, o) {
    return e.call(n, a, r, i, o);
  };
}, Vt = function(e, n, a, r) {
  var i = Object.keys(e), o = i.length, s = r !== void 0 ? ma(n, r) : n, f, c, l;
  for (a === void 0 ? (f = 1, l = e[i[0]]) : (f = 0, l = a); f < o; f++)
    c = i[f], l = s(l, e[c], c, e);
  return l;
};
function da(t) {
  for (var e = [], n = 0, a = t.length; n < a; ) {
    var r = t.charCodeAt(n++);
    if (r >= 55296 && r <= 56319 && n < a) {
      var i = t.charCodeAt(n++);
      (i & 64512) == 56320 ? e.push(((r & 1023) << 10) + (i & 1023) + 65536) : (e.push(r), n--);
    } else
      e.push(r);
  }
  return e;
}
function Zt(t) {
  var e = da(t);
  return e.length === 1 ? e[0].toString(16) : null;
}
function va(t, e) {
  var n = t.length, a = t.charCodeAt(e), r;
  return a >= 55296 && a <= 56319 && n > e + 1 && (r = t.charCodeAt(e + 1), r >= 56320 && r <= 57343) ? (a - 55296) * 1024 + r - 56320 + 65536 : a;
}
function Te(t) {
  return Object.keys(t).reduce(function(e, n) {
    var a = t[n], r = !!a.icon;
    return r ? e[a.iconName] = a.icon : e[n] = a, e;
  }, {});
}
function Jt(t, e) {
  var n = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : {}, a = n.skipHooks, r = a === void 0 ? !1 : a, i = Te(e);
  typeof M.hooks.addPack == "function" && !r ? M.hooks.addPack(t, Te(e)) : M.styles[t] = m(m({}, M.styles[t] || {}), i), t === "fas" && Jt("fa", e);
}
var Pt, Et, Ct, nt = M.styles, pa = M.shims, ba = (Pt = {}, S(Pt, y, Object.values(vt[y])), S(Pt, w, Object.values(vt[w])), Pt), pe = null, mn = {}, dn = {}, vn = {}, pn = {}, bn = {}, ga = (Et = {}, S(Et, y, Object.keys(mt[y])), S(Et, w, Object.keys(mt[w])), Et);
function ha(t) {
  return ~Zn.indexOf(t);
}
function ya(t, e) {
  var n = e.split("-"), a = n[0], r = n.slice(1).join("-");
  return a === t && r !== "" && !ha(r) ? r : null;
}
var gn = function() {
  var e = function(i) {
    return Vt(nt, function(o, s, f) {
      return o[f] = Vt(s, i, {}), o;
    }, {});
  };
  mn = e(function(r, i, o) {
    if (i[3] && (r[i[3]] = o), i[2]) {
      var s = i[2].filter(function(f) {
        return typeof f == "number";
      });
      s.forEach(function(f) {
        r[f.toString(16)] = o;
      });
    }
    return r;
  }), dn = e(function(r, i, o) {
    if (r[o] = o, i[2]) {
      var s = i[2].filter(function(f) {
        return typeof f == "string";
      });
      s.forEach(function(f) {
        r[f] = o;
      });
    }
    return r;
  }), bn = e(function(r, i, o) {
    var s = i[2];
    return r[o] = o, s.forEach(function(f) {
      r[f] = o;
    }), r;
  });
  var n = "far" in nt || d.autoFetchSvg, a = Vt(pa, function(r, i) {
    var o = i[0], s = i[1], f = i[2];
    return s === "far" && !n && (s = "fas"), typeof o == "string" && (r.names[o] = {
      prefix: s,
      iconName: f
    }), typeof o == "number" && (r.unicodes[o.toString(16)] = {
      prefix: s,
      iconName: f
    }), r;
  }, {
    names: {},
    unicodes: {}
  });
  vn = a.names, pn = a.unicodes, pe = jt(d.styleDefault, {
    family: d.familyDefault
  });
};
na(function(t) {
  pe = jt(t.styleDefault, {
    family: d.familyDefault
  });
});
gn();
function be(t, e) {
  return (mn[t] || {})[e];
}
function ka(t, e) {
  return (dn[t] || {})[e];
}
function Q(t, e) {
  return (bn[t] || {})[e];
}
function hn(t) {
  return vn[t] || {
    prefix: null,
    iconName: null
  };
}
function wa(t) {
  var e = pn[t], n = be("fas", t);
  return e || (n ? {
    prefix: "fas",
    iconName: n
  } : null) || {
    prefix: null,
    iconName: null
  };
}
function X() {
  return pe;
}
var ge = function() {
  return {
    prefix: null,
    iconName: null,
    rest: []
  };
};
function jt(t) {
  var e = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, n = e.family, a = n === void 0 ? y : n, r = mt[a][t], i = dt[a][t] || dt[a][r], o = t in M.styles ? t : null;
  return i || o || null;
}
var Le = (Ct = {}, S(Ct, y, Object.keys(vt[y])), S(Ct, w, Object.keys(vt[w])), Ct);
function Dt(t) {
  var e, n = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, a = n.skipLookups, r = a === void 0 ? !1 : a, i = (e = {}, S(e, y, "".concat(d.cssPrefix, "-").concat(y)), S(e, w, "".concat(d.cssPrefix, "-").concat(w)), e), o = null, s = y;
  (t.includes(i[y]) || t.some(function(c) {
    return Le[y].includes(c);
  })) && (s = y), (t.includes(i[w]) || t.some(function(c) {
    return Le[w].includes(c);
  })) && (s = w);
  var f = t.reduce(function(c, l) {
    var u = ya(d.cssPrefix, l);
    if (nt[l] ? (l = ba[s].includes(l) ? Vn[s][l] : l, o = l, c.prefix = l) : ga[s].indexOf(l) > -1 ? (o = l, c.prefix = jt(l, {
      family: s
    })) : u ? c.iconName = u : l !== d.replacementClass && l !== i[y] && l !== i[w] && c.rest.push(l), !r && c.prefix && c.iconName) {
      var b = o === "fa" ? hn(c.iconName) : {}, g = Q(c.prefix, c.iconName);
      b.prefix && (o = null), c.iconName = b.iconName || g || c.iconName, c.prefix = b.prefix || c.prefix, c.prefix === "far" && !nt.far && nt.fas && !d.autoFetchSvg && (c.prefix = "fas");
    }
    return c;
  }, ge());
  return (t.includes("fa-brands") || t.includes("fab")) && (f.prefix = "fab"), (t.includes("fa-duotone") || t.includes("fad")) && (f.prefix = "fad"), !f.prefix && s === w && (nt.fass || d.autoFetchSvg) && (f.prefix = "fass", f.iconName = Q(f.prefix, f.iconName) || f.iconName), (f.prefix === "fa" || o === "fa") && (f.prefix = X() || "fas"), f;
}
var xa = /* @__PURE__ */ function() {
  function t() {
    Mn(this, t), this.definitions = {};
  }
  return zn(t, [{
    key: "add",
    value: function() {
      for (var n = this, a = arguments.length, r = new Array(a), i = 0; i < a; i++)
        r[i] = arguments[i];
      var o = r.reduce(this._pullDefinitions, {});
      Object.keys(o).forEach(function(s) {
        n.definitions[s] = m(m({}, n.definitions[s] || {}), o[s]), Jt(s, o[s]);
        var f = vt[y][s];
        f && Jt(f, o[s]), gn();
      });
    }
  }, {
    key: "reset",
    value: function() {
      this.definitions = {};
    }
  }, {
    key: "_pullDefinitions",
    value: function(n, a) {
      var r = a.prefix && a.iconName && a.icon ? {
        0: a
      } : a;
      return Object.keys(r).map(function(i) {
        var o = r[i], s = o.prefix, f = o.iconName, c = o.icon, l = c[2];
        n[s] || (n[s] = {}), l.length > 0 && l.forEach(function(u) {
          typeof u == "string" && (n[s][u] = c);
        }), n[s][f] = c;
      }), n;
    }
  }]), t;
}(), Me = [], at = {}, rt = {}, Aa = Object.keys(rt);
function Sa(t, e) {
  var n = e.mixoutsTo;
  return Me = t, at = {}, Object.keys(rt).forEach(function(a) {
    Aa.indexOf(a) === -1 && delete rt[a];
  }), Me.forEach(function(a) {
    var r = a.mixout ? a.mixout() : {};
    if (Object.keys(r).forEach(function(o) {
      typeof r[o] == "function" && (n[o] = r[o]), Tt(r[o]) === "object" && Object.keys(r[o]).forEach(function(s) {
        n[o] || (n[o] = {}), n[o][s] = r[o][s];
      });
    }), a.hooks) {
      var i = a.hooks();
      Object.keys(i).forEach(function(o) {
        at[o] || (at[o] = []), at[o].push(i[o]);
      });
    }
    a.provides && a.provides(rt);
  }), n;
}
function te(t, e) {
  for (var n = arguments.length, a = new Array(n > 2 ? n - 2 : 0), r = 2; r < n; r++)
    a[r - 2] = arguments[r];
  var i = at[t] || [];
  return i.forEach(function(o) {
    e = o.apply(null, [e].concat(a));
  }), e;
}
function J(t) {
  for (var e = arguments.length, n = new Array(e > 1 ? e - 1 : 0), a = 1; a < e; a++)
    n[a - 1] = arguments[a];
  var r = at[t] || [];
  r.forEach(function(i) {
    i.apply(null, n);
  });
}
function Y() {
  var t = arguments[0], e = Array.prototype.slice.call(arguments, 1);
  return rt[t] ? rt[t].apply(null, e) : void 0;
}
function ee(t) {
  t.prefix === "fa" && (t.prefix = "fas");
  var e = t.iconName, n = t.prefix || X();
  if (e)
    return e = Q(n, e) || e, Ne(yn.definitions, n, e) || Ne(M.styles, n, e);
}
var yn = new xa(), Oa = function() {
  d.autoReplaceSvg = !1, d.observeMutations = !1, J("noAuto");
}, Pa = {
  i2svg: function() {
    var e = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {};
    return B ? (J("beforeI2svg", e), Y("pseudoElements2svg", e), Y("i2svg", e)) : Promise.reject("Operation requires a DOM of some kind.");
  },
  watch: function() {
    var e = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, n = e.autoReplaceSvgRoot;
    d.autoReplaceSvg === !1 && (d.autoReplaceSvg = !0), d.observeMutations = !0, ca(function() {
      Ca({
        autoReplaceSvgRoot: n
      }), J("watch", e);
    });
  }
}, Ea = {
  icon: function(e) {
    if (e === null)
      return null;
    if (Tt(e) === "object" && e.prefix && e.iconName)
      return {
        prefix: e.prefix,
        iconName: Q(e.prefix, e.iconName) || e.iconName
      };
    if (Array.isArray(e) && e.length === 2) {
      var n = e[1].indexOf("fa-") === 0 ? e[1].slice(3) : e[1], a = jt(e[0]);
      return {
        prefix: a,
        iconName: Q(a, n) || n
      };
    }
    if (typeof e == "string" && (e.indexOf("".concat(d.cssPrefix, "-")) > -1 || e.match(Gn))) {
      var r = Dt(e.split(" "), {
        skipLookups: !0
      });
      return {
        prefix: r.prefix || X(),
        iconName: Q(r.prefix, r.iconName) || r.iconName
      };
    }
    if (typeof e == "string") {
      var i = X();
      return {
        prefix: i,
        iconName: Q(i, e) || e
      };
    }
  }
}, N = {
  noAuto: Oa,
  config: d,
  dom: Pa,
  parse: Ea,
  library: yn,
  findIconDefinition: ee,
  toHtml: yt
}, Ca = function() {
  var e = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, n = e.autoReplaceSvgRoot, a = n === void 0 ? k : n;
  (Object.keys(M.styles).length > 0 || d.autoFetchSvg) && B && d.autoReplaceSvg && N.dom.i2svg({
    node: a
  });
};
function Yt(t, e) {
  return Object.defineProperty(t, "abstract", {
    get: e
  }), Object.defineProperty(t, "html", {
    get: function() {
      return t.abstract.map(function(a) {
        return yt(a);
      });
    }
  }), Object.defineProperty(t, "node", {
    get: function() {
      if (B) {
        var a = k.createElement("div");
        return a.innerHTML = t.html, a.children;
      }
    }
  }), t;
}
function _a(t) {
  var e = t.children, n = t.main, a = t.mask, r = t.attributes, i = t.styles, o = t.transform;
  if (ve(o) && n.found && !a.found) {
    var s = n.width, f = n.height, c = {
      x: s / f / 2,
      y: 0.5
    };
    r.style = $t(m(m({}, i), {}, {
      "transform-origin": "".concat(c.x + o.x / 16, "em ").concat(c.y + o.y / 16, "em")
    }));
  }
  return [{
    tag: "svg",
    attributes: r,
    children: e
  }];
}
function Ia(t) {
  var e = t.prefix, n = t.iconName, a = t.children, r = t.attributes, i = t.symbol, o = i === !0 ? "".concat(e, "-").concat(d.cssPrefix, "-").concat(n) : i;
  return [{
    tag: "svg",
    attributes: {
      style: "display: none;"
    },
    children: [{
      tag: "symbol",
      attributes: m(m({}, r), {}, {
        id: o
      }),
      children: a
    }]
  }];
}
function he(t) {
  var e = t.icons, n = e.main, a = e.mask, r = t.prefix, i = t.iconName, o = t.transform, s = t.symbol, f = t.title, c = t.maskId, l = t.titleId, u = t.extra, b = t.watchable, g = b === void 0 ? !1 : b, E = a.found ? a : n, C = E.width, _ = E.height, v = r === "fak", p = [d.replacementClass, i ? "".concat(d.cssPrefix, "-").concat(i) : ""].filter(function(U) {
    return u.classes.indexOf(U) === -1;
  }).filter(function(U) {
    return U !== "" || !!U;
  }).concat(u.classes).join(" "), h = {
    children: [],
    attributes: m(m({}, u.attributes), {}, {
      "data-prefix": r,
      "data-icon": i,
      class: p,
      role: u.attributes.role || "img",
      xmlns: "http://www.w3.org/2000/svg",
      viewBox: "0 0 ".concat(C, " ").concat(_)
    })
  }, x = v && !~u.classes.indexOf("fa-fw") ? {
    width: "".concat(C / _ * 16 * 0.0625, "em")
  } : {};
  g && (h.attributes[Z] = ""), f && (h.children.push({
    tag: "title",
    attributes: {
      id: h.attributes["aria-labelledby"] || "title-".concat(l || bt())
    },
    children: [f]
  }), delete h.attributes.title);
  var A = m(m({}, h), {}, {
    prefix: r,
    iconName: i,
    main: n,
    mask: a,
    maskId: c,
    transform: o,
    symbol: s,
    styles: m(m({}, x), u.styles)
  }), z = a.found && n.found ? Y("generateAbstractMask", A) || {
    children: [],
    attributes: {}
  } : Y("generateAbstractIcon", A) || {
    children: [],
    attributes: {}
  }, T = z.children, Bt = z.attributes;
  return A.children = T, A.attributes = Bt, s ? Ia(A) : _a(A);
}
function ze(t) {
  var e = t.content, n = t.width, a = t.height, r = t.transform, i = t.title, o = t.extra, s = t.watchable, f = s === void 0 ? !1 : s, c = m(m(m({}, o.attributes), i ? {
    title: i
  } : {}), {}, {
    class: o.classes.join(" ")
  });
  f && (c[Z] = "");
  var l = m({}, o.styles);
  ve(r) && (l.transform = sa({
    transform: r,
    startCentered: !0,
    width: n,
    height: a
  }), l["-webkit-transform"] = l.transform);
  var u = $t(l);
  u.length > 0 && (c.style = u);
  var b = [];
  return b.push({
    tag: "span",
    attributes: c,
    children: [e]
  }), i && b.push({
    tag: "span",
    attributes: {
      class: "sr-only"
    },
    children: [i]
  }), b;
}
function Na(t) {
  var e = t.content, n = t.title, a = t.extra, r = m(m(m({}, a.attributes), n ? {
    title: n
  } : {}), {}, {
    class: a.classes.join(" ")
  }), i = $t(a.styles);
  i.length > 0 && (r.style = i);
  var o = [];
  return o.push({
    tag: "span",
    attributes: r,
    children: [e]
  }), n && o.push({
    tag: "span",
    attributes: {
      class: "sr-only"
    },
    children: [n]
  }), o;
}
var Gt = M.styles;
function ne(t) {
  var e = t[0], n = t[1], a = t.slice(4), r = fe(a, 1), i = r[0], o = null;
  return Array.isArray(i) ? o = {
    tag: "g",
    attributes: {
      class: "".concat(d.cssPrefix, "-").concat(q.GROUP)
    },
    children: [{
      tag: "path",
      attributes: {
        class: "".concat(d.cssPrefix, "-").concat(q.SECONDARY),
        fill: "currentColor",
        d: i[0]
      }
    }, {
      tag: "path",
      attributes: {
        class: "".concat(d.cssPrefix, "-").concat(q.PRIMARY),
        fill: "currentColor",
        d: i[1]
      }
    }]
  } : o = {
    tag: "path",
    attributes: {
      fill: "currentColor",
      d: i
    }
  }, {
    found: !0,
    width: e,
    height: n,
    icon: o
  };
}
var Ta = {
  found: !1,
  width: 512,
  height: 512
};
function La(t, e) {
  !rn && !d.showMissingIcons && t && console.error('Icon with name "'.concat(t, '" and prefix "').concat(e, '" is missing.'));
}
function ae(t, e) {
  var n = e;
  return e === "fa" && d.styleDefault !== null && (e = X()), new Promise(function(a, r) {
    if (Y("missingIconAbstract"), n === "fa") {
      var i = hn(t) || {};
      t = i.iconName || t, e = i.prefix || e;
    }
    if (t && e && Gt[e] && Gt[e][t]) {
      var o = Gt[e][t];
      return a(ne(o));
    }
    La(t, e), a(m(m({}, Ta), {}, {
      icon: d.showMissingIcons && t ? Y("missingIconAbstract") || {} : {}
    }));
  });
}
var Re = function() {
}, re = d.measurePerformance && kt && kt.mark && kt.measure ? kt : {
  mark: Re,
  measure: Re
}, st = 'FA "6.5.1"', Ma = function(e) {
  return re.mark("".concat(st, " ").concat(e, " begins")), function() {
    return kn(e);
  };
}, kn = function(e) {
  re.mark("".concat(st, " ").concat(e, " ends")), re.measure("".concat(st, " ").concat(e), "".concat(st, " ").concat(e, " begins"), "".concat(st, " ").concat(e, " ends"));
}, ye = {
  begin: Ma,
  end: kn
}, _t = function() {
};
function Fe(t) {
  var e = t.getAttribute ? t.getAttribute(Z) : null;
  return typeof e == "string";
}
function za(t) {
  var e = t.getAttribute ? t.getAttribute(ue) : null, n = t.getAttribute ? t.getAttribute(ce) : null;
  return e && n;
}
function Ra(t) {
  return t && t.classList && t.classList.contains && t.classList.contains(d.replacementClass);
}
function Fa() {
  if (d.autoReplaceSvg === !0)
    return It.replace;
  var t = It[d.autoReplaceSvg];
  return t || It.replace;
}
function $a(t) {
  return k.createElementNS("http://www.w3.org/2000/svg", t);
}
function ja(t) {
  return k.createElement(t);
}
function wn(t) {
  var e = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, n = e.ceFn, a = n === void 0 ? t.tag === "svg" ? $a : ja : n;
  if (typeof t == "string")
    return k.createTextNode(t);
  var r = a(t.tag);
  Object.keys(t.attributes || []).forEach(function(o) {
    r.setAttribute(o, t.attributes[o]);
  });
  var i = t.children || [];
  return i.forEach(function(o) {
    r.appendChild(wn(o, {
      ceFn: a
    }));
  }), r;
}
function Da(t) {
  var e = " ".concat(t.outerHTML, " ");
  return e = "".concat(e, "Font Awesome fontawesome.com "), e;
}
var It = {
  replace: function(e) {
    var n = e[0];
    if (n.parentNode)
      if (e[1].forEach(function(r) {
        n.parentNode.insertBefore(wn(r), n);
      }), n.getAttribute(Z) === null && d.keepOriginalSource) {
        var a = k.createComment(Da(n));
        n.parentNode.replaceChild(a, n);
      } else
        n.remove();
  },
  nest: function(e) {
    var n = e[0], a = e[1];
    if (~de(n).indexOf(d.replacementClass))
      return It.replace(e);
    var r = new RegExp("".concat(d.cssPrefix, "-.*"));
    if (delete a[0].attributes.id, a[0].attributes.class) {
      var i = a[0].attributes.class.split(" ").reduce(function(s, f) {
        return f === d.replacementClass || f.match(r) ? s.toSvg.push(f) : s.toNode.push(f), s;
      }, {
        toNode: [],
        toSvg: []
      });
      a[0].attributes.class = i.toSvg.join(" "), i.toNode.length === 0 ? n.removeAttribute("class") : n.setAttribute("class", i.toNode.join(" "));
    }
    var o = a.map(function(s) {
      return yt(s);
    }).join(`
`);
    n.setAttribute(Z, ""), n.innerHTML = o;
  }
};
function $e(t) {
  t();
}
function xn(t, e) {
  var n = typeof e == "function" ? e : _t;
  if (t.length === 0)
    n();
  else {
    var a = $e;
    d.mutateApproach === Wn && (a = G.requestAnimationFrame || $e), a(function() {
      var r = Fa(), i = ye.begin("mutate");
      t.map(r), i(), n();
    });
  }
}
var ke = !1;
function An() {
  ke = !0;
}
function ie() {
  ke = !1;
}
var Mt = null;
function je(t) {
  if (Ce && d.observeMutations) {
    var e = t.treeCallback, n = e === void 0 ? _t : e, a = t.nodeCallback, r = a === void 0 ? _t : a, i = t.pseudoElementsCallback, o = i === void 0 ? _t : i, s = t.observeMutationsRoot, f = s === void 0 ? k : s;
    Mt = new Ce(function(c) {
      if (!ke) {
        var l = X();
        ot(c).forEach(function(u) {
          if (u.type === "childList" && u.addedNodes.length > 0 && !Fe(u.addedNodes[0]) && (d.searchPseudoElements && o(u.target), n(u.target)), u.type === "attributes" && u.target.parentNode && d.searchPseudoElements && o(u.target.parentNode), u.type === "attributes" && Fe(u.target) && ~Qn.indexOf(u.attributeName))
            if (u.attributeName === "class" && za(u.target)) {
              var b = Dt(de(u.target)), g = b.prefix, E = b.iconName;
              u.target.setAttribute(ue, g || l), E && u.target.setAttribute(ce, E);
            } else
              Ra(u.target) && r(u.target);
        });
      }
    }), B && Mt.observe(f, {
      childList: !0,
      attributes: !0,
      characterData: !0,
      subtree: !0
    });
  }
}
function Ya() {
  Mt && Mt.disconnect();
}
function Ba(t) {
  var e = t.getAttribute("style"), n = [];
  return e && (n = e.split(";").reduce(function(a, r) {
    var i = r.split(":"), o = i[0], s = i.slice(1);
    return o && s.length > 0 && (a[o] = s.join(":").trim()), a;
  }, {})), n;
}
function Ua(t) {
  var e = t.getAttribute("data-prefix"), n = t.getAttribute("data-icon"), a = t.innerText !== void 0 ? t.innerText.trim() : "", r = Dt(de(t));
  return r.prefix || (r.prefix = X()), e && n && (r.prefix = e, r.iconName = n), r.iconName && r.prefix || (r.prefix && a.length > 0 && (r.iconName = ka(r.prefix, t.innerText) || be(r.prefix, Zt(t.innerText))), !r.iconName && d.autoFetchSvg && t.firstChild && t.firstChild.nodeType === Node.TEXT_NODE && (r.iconName = t.firstChild.data)), r;
}
function Wa(t) {
  var e = ot(t.attributes).reduce(function(r, i) {
    return r.name !== "class" && r.name !== "style" && (r[i.name] = i.value), r;
  }, {}), n = t.getAttribute("title"), a = t.getAttribute("data-fa-title-id");
  return d.autoA11y && (n ? e["aria-labelledby"] = "".concat(d.replacementClass, "-title-").concat(a || bt()) : (e["aria-hidden"] = "true", e.focusable = "false")), e;
}
function Ha() {
  return {
    iconName: null,
    title: null,
    titleId: null,
    prefix: null,
    transform: R,
    symbol: !1,
    mask: {
      iconName: null,
      prefix: null,
      rest: []
    },
    maskId: null,
    extra: {
      classes: [],
      styles: {},
      attributes: {}
    }
  };
}
function De(t) {
  var e = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {
    styleParser: !0
  }, n = Ua(t), a = n.iconName, r = n.prefix, i = n.rest, o = Wa(t), s = te("parseNodeAttributes", {}, t), f = e.styleParser ? Ba(t) : [];
  return m({
    iconName: a,
    title: t.getAttribute("title"),
    titleId: t.getAttribute("data-fa-title-id"),
    prefix: r,
    transform: R,
    mask: {
      iconName: null,
      prefix: null,
      rest: []
    },
    maskId: null,
    symbol: !1,
    extra: {
      classes: i,
      styles: f,
      attributes: o
    }
  }, s);
}
var Va = M.styles;
function Sn(t) {
  var e = d.autoReplaceSvg === "nest" ? De(t, {
    styleParser: !1
  }) : De(t);
  return ~e.extra.classes.indexOf(on) ? Y("generateLayersText", t, e) : Y("generateSvgReplacementMutation", t, e);
}
var K = /* @__PURE__ */ new Set();
me.map(function(t) {
  K.add("fa-".concat(t));
});
Object.keys(mt[y]).map(K.add.bind(K));
Object.keys(mt[w]).map(K.add.bind(K));
K = gt(K);
function Ye(t) {
  var e = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : null;
  if (!B)
    return Promise.resolve();
  var n = k.documentElement.classList, a = function(u) {
    return n.add("".concat(_e, "-").concat(u));
  }, r = function(u) {
    return n.remove("".concat(_e, "-").concat(u));
  }, i = d.autoFetchSvg ? K : me.map(function(l) {
    return "fa-".concat(l);
  }).concat(Object.keys(Va));
  i.includes("fa") || i.push("fa");
  var o = [".".concat(on, ":not([").concat(Z, "])")].concat(i.map(function(l) {
    return ".".concat(l, ":not([").concat(Z, "])");
  })).join(", ");
  if (o.length === 0)
    return Promise.resolve();
  var s = [];
  try {
    s = ot(t.querySelectorAll(o));
  } catch {
  }
  if (s.length > 0)
    a("pending"), r("complete");
  else
    return Promise.resolve();
  var f = ye.begin("onTree"), c = s.reduce(function(l, u) {
    try {
      var b = Sn(u);
      b && l.push(b);
    } catch (g) {
      rn || g.name === "MissingIcon" && console.error(g);
    }
    return l;
  }, []);
  return new Promise(function(l, u) {
    Promise.all(c).then(function(b) {
      xn(b, function() {
        a("active"), a("complete"), r("pending"), typeof e == "function" && e(), f(), l();
      });
    }).catch(function(b) {
      f(), u(b);
    });
  });
}
function Ga(t) {
  var e = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : null;
  Sn(t).then(function(n) {
    n && xn([n], e);
  });
}
function Xa(t) {
  return function(e) {
    var n = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, a = (e || {}).icon ? e : ee(e || {}), r = n.mask;
    return r && (r = (r || {}).icon ? r : ee(r || {})), t(a, m(m({}, n), {}, {
      mask: r
    }));
  };
}
var Ka = function(e) {
  var n = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, a = n.transform, r = a === void 0 ? R : a, i = n.symbol, o = i === void 0 ? !1 : i, s = n.mask, f = s === void 0 ? null : s, c = n.maskId, l = c === void 0 ? null : c, u = n.title, b = u === void 0 ? null : u, g = n.titleId, E = g === void 0 ? null : g, C = n.classes, _ = C === void 0 ? [] : C, v = n.attributes, p = v === void 0 ? {} : v, h = n.styles, x = h === void 0 ? {} : h;
  if (e) {
    var A = e.prefix, z = e.iconName, T = e.icon;
    return Yt(m({
      type: "icon"
    }, e), function() {
      return J("beforeDOMElementCreation", {
        iconDefinition: e,
        params: n
      }), d.autoA11y && (b ? p["aria-labelledby"] = "".concat(d.replacementClass, "-title-").concat(E || bt()) : (p["aria-hidden"] = "true", p.focusable = "false")), he({
        icons: {
          main: ne(T),
          mask: f ? ne(f.icon) : {
            found: !1,
            width: null,
            height: null,
            icon: {}
          }
        },
        prefix: A,
        iconName: z,
        transform: m(m({}, R), r),
        symbol: o,
        title: b,
        maskId: l,
        titleId: E,
        extra: {
          attributes: p,
          styles: x,
          classes: _
        }
      });
    });
  }
}, qa = {
  mixout: function() {
    return {
      icon: Xa(Ka)
    };
  },
  hooks: function() {
    return {
      mutationObserverCallbacks: function(n) {
        return n.treeCallback = Ye, n.nodeCallback = Ga, n;
      }
    };
  },
  provides: function(e) {
    e.i2svg = function(n) {
      var a = n.node, r = a === void 0 ? k : a, i = n.callback, o = i === void 0 ? function() {
      } : i;
      return Ye(r, o);
    }, e.generateSvgReplacementMutation = function(n, a) {
      var r = a.iconName, i = a.title, o = a.titleId, s = a.prefix, f = a.transform, c = a.symbol, l = a.mask, u = a.maskId, b = a.extra;
      return new Promise(function(g, E) {
        Promise.all([ae(r, s), l.iconName ? ae(l.iconName, l.prefix) : Promise.resolve({
          found: !1,
          width: 512,
          height: 512,
          icon: {}
        })]).then(function(C) {
          var _ = fe(C, 2), v = _[0], p = _[1];
          g([n, he({
            icons: {
              main: v,
              mask: p
            },
            prefix: s,
            iconName: r,
            transform: f,
            symbol: c,
            maskId: u,
            title: i,
            titleId: o,
            extra: b,
            watchable: !0
          })]);
        }).catch(E);
      });
    }, e.generateAbstractIcon = function(n) {
      var a = n.children, r = n.attributes, i = n.main, o = n.transform, s = n.styles, f = $t(s);
      f.length > 0 && (r.style = f);
      var c;
      return ve(o) && (c = Y("generateAbstractTransformGrouping", {
        main: i,
        transform: o,
        containerWidth: i.width,
        iconWidth: i.width
      })), a.push(c || i.icon), {
        children: a,
        attributes: r
      };
    };
  }
}, Qa = {
  mixout: function() {
    return {
      layer: function(n) {
        var a = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, r = a.classes, i = r === void 0 ? [] : r;
        return Yt({
          type: "layer"
        }, function() {
          J("beforeDOMElementCreation", {
            assembler: n,
            params: a
          });
          var o = [];
          return n(function(s) {
            Array.isArray(s) ? s.map(function(f) {
              o = o.concat(f.abstract);
            }) : o = o.concat(s.abstract);
          }), [{
            tag: "span",
            attributes: {
              class: ["".concat(d.cssPrefix, "-layers")].concat(gt(i)).join(" ")
            },
            children: o
          }];
        });
      }
    };
  }
}, Za = {
  mixout: function() {
    return {
      counter: function(n) {
        var a = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, r = a.title, i = r === void 0 ? null : r, o = a.classes, s = o === void 0 ? [] : o, f = a.attributes, c = f === void 0 ? {} : f, l = a.styles, u = l === void 0 ? {} : l;
        return Yt({
          type: "counter",
          content: n
        }, function() {
          return J("beforeDOMElementCreation", {
            content: n,
            params: a
          }), Na({
            content: n.toString(),
            title: i,
            extra: {
              attributes: c,
              styles: u,
              classes: ["".concat(d.cssPrefix, "-layers-counter")].concat(gt(s))
            }
          });
        });
      }
    };
  }
}, Ja = {
  mixout: function() {
    return {
      text: function(n) {
        var a = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, r = a.transform, i = r === void 0 ? R : r, o = a.title, s = o === void 0 ? null : o, f = a.classes, c = f === void 0 ? [] : f, l = a.attributes, u = l === void 0 ? {} : l, b = a.styles, g = b === void 0 ? {} : b;
        return Yt({
          type: "text",
          content: n
        }, function() {
          return J("beforeDOMElementCreation", {
            content: n,
            params: a
          }), ze({
            content: n,
            transform: m(m({}, R), i),
            title: s,
            extra: {
              attributes: u,
              styles: g,
              classes: ["".concat(d.cssPrefix, "-layers-text")].concat(gt(c))
            }
          });
        });
      }
    };
  },
  provides: function(e) {
    e.generateLayersText = function(n, a) {
      var r = a.title, i = a.transform, o = a.extra, s = null, f = null;
      if (en) {
        var c = parseInt(getComputedStyle(n).fontSize, 10), l = n.getBoundingClientRect();
        s = l.width / c, f = l.height / c;
      }
      return d.autoA11y && !r && (o.attributes["aria-hidden"] = "true"), Promise.resolve([n, ze({
        content: n.innerHTML,
        width: s,
        height: f,
        transform: i,
        title: r,
        extra: o,
        watchable: !0
      })]);
    };
  }
}, tr = new RegExp('"', "ug"), Be = [1105920, 1112319];
function er(t) {
  var e = t.replace(tr, ""), n = va(e, 0), a = n >= Be[0] && n <= Be[1], r = e.length === 2 ? e[0] === e[1] : !1;
  return {
    value: Zt(r ? e[0] : e),
    isSecondary: a || r
  };
}
function Ue(t, e) {
  var n = "".concat(Un).concat(e.replace(":", "-"));
  return new Promise(function(a, r) {
    if (t.getAttribute(n) !== null)
      return a();
    var i = ot(t.children), o = i.filter(function(T) {
      return T.getAttribute(Qt) === e;
    })[0], s = G.getComputedStyle(t, e), f = s.getPropertyValue("font-family").match(Xn), c = s.getPropertyValue("font-weight"), l = s.getPropertyValue("content");
    if (o && !f)
      return t.removeChild(o), a();
    if (f && l !== "none" && l !== "") {
      var u = s.getPropertyValue("content"), b = ~["Sharp"].indexOf(f[2]) ? w : y, g = ~["Solid", "Regular", "Light", "Thin", "Duotone", "Brands", "Kit"].indexOf(f[2]) ? dt[b][f[2].toLowerCase()] : Kn[b][c], E = er(u), C = E.value, _ = E.isSecondary, v = f[0].startsWith("FontAwesome"), p = be(g, C), h = p;
      if (v) {
        var x = wa(C);
        x.iconName && x.prefix && (p = x.iconName, g = x.prefix);
      }
      if (p && !_ && (!o || o.getAttribute(ue) !== g || o.getAttribute(ce) !== h)) {
        t.setAttribute(n, h), o && t.removeChild(o);
        var A = Ha(), z = A.extra;
        z.attributes[Qt] = e, ae(p, g).then(function(T) {
          var Bt = he(m(m({}, A), {}, {
            icons: {
              main: T,
              mask: ge()
            },
            prefix: g,
            iconName: h,
            extra: z,
            watchable: !0
          })), U = k.createElementNS("http://www.w3.org/2000/svg", "svg");
          e === "::before" ? t.insertBefore(U, t.firstChild) : t.appendChild(U), U.outerHTML = Bt.map(function(Cn) {
            return yt(Cn);
          }).join(`
`), t.removeAttribute(n), a();
        }).catch(r);
      } else
        a();
    } else
      a();
  });
}
function nr(t) {
  return Promise.all([Ue(t, "::before"), Ue(t, "::after")]);
}
function ar(t) {
  return t.parentNode !== document.head && !~Hn.indexOf(t.tagName.toUpperCase()) && !t.getAttribute(Qt) && (!t.parentNode || t.parentNode.tagName !== "svg");
}
function We(t) {
  if (B)
    return new Promise(function(e, n) {
      var a = ot(t.querySelectorAll("*")).filter(ar).map(nr), r = ye.begin("searchPseudoElements");
      An(), Promise.all(a).then(function() {
        r(), ie(), e();
      }).catch(function() {
        r(), ie(), n();
      });
    });
}
var rr = {
  hooks: function() {
    return {
      mutationObserverCallbacks: function(n) {
        return n.pseudoElementsCallback = We, n;
      }
    };
  },
  provides: function(e) {
    e.pseudoElements2svg = function(n) {
      var a = n.node, r = a === void 0 ? k : a;
      d.searchPseudoElements && We(r);
    };
  }
}, He = !1, ir = {
  mixout: function() {
    return {
      dom: {
        unwatch: function() {
          An(), He = !0;
        }
      }
    };
  },
  hooks: function() {
    return {
      bootstrap: function() {
        je(te("mutationObserverCallbacks", {}));
      },
      noAuto: function() {
        Ya();
      },
      watch: function(n) {
        var a = n.observeMutationsRoot;
        He ? ie() : je(te("mutationObserverCallbacks", {
          observeMutationsRoot: a
        }));
      }
    };
  }
}, Ve = function(e) {
  var n = {
    size: 16,
    x: 0,
    y: 0,
    flipX: !1,
    flipY: !1,
    rotate: 0
  };
  return e.toLowerCase().split(" ").reduce(function(a, r) {
    var i = r.toLowerCase().split("-"), o = i[0], s = i.slice(1).join("-");
    if (o && s === "h")
      return a.flipX = !0, a;
    if (o && s === "v")
      return a.flipY = !0, a;
    if (s = parseFloat(s), isNaN(s))
      return a;
    switch (o) {
      case "grow":
        a.size = a.size + s;
        break;
      case "shrink":
        a.size = a.size - s;
        break;
      case "left":
        a.x = a.x - s;
        break;
      case "right":
        a.x = a.x + s;
        break;
      case "up":
        a.y = a.y - s;
        break;
      case "down":
        a.y = a.y + s;
        break;
      case "rotate":
        a.rotate = a.rotate + s;
        break;
    }
    return a;
  }, n);
}, or = {
  mixout: function() {
    return {
      parse: {
        transform: function(n) {
          return Ve(n);
        }
      }
    };
  },
  hooks: function() {
    return {
      parseNodeAttributes: function(n, a) {
        var r = a.getAttribute("data-fa-transform");
        return r && (n.transform = Ve(r)), n;
      }
    };
  },
  provides: function(e) {
    e.generateAbstractTransformGrouping = function(n) {
      var a = n.main, r = n.transform, i = n.containerWidth, o = n.iconWidth, s = {
        transform: "translate(".concat(i / 2, " 256)")
      }, f = "translate(".concat(r.x * 32, ", ").concat(r.y * 32, ") "), c = "scale(".concat(r.size / 16 * (r.flipX ? -1 : 1), ", ").concat(r.size / 16 * (r.flipY ? -1 : 1), ") "), l = "rotate(".concat(r.rotate, " 0 0)"), u = {
        transform: "".concat(f, " ").concat(c, " ").concat(l)
      }, b = {
        transform: "translate(".concat(o / 2 * -1, " -256)")
      }, g = {
        outer: s,
        inner: u,
        path: b
      };
      return {
        tag: "g",
        attributes: m({}, g.outer),
        children: [{
          tag: "g",
          attributes: m({}, g.inner),
          children: [{
            tag: a.icon.tag,
            children: a.icon.children,
            attributes: m(m({}, a.icon.attributes), g.path)
          }]
        }]
      };
    };
  }
}, Xt = {
  x: 0,
  y: 0,
  width: "100%",
  height: "100%"
};
function Ge(t) {
  var e = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : !0;
  return t.attributes && (t.attributes.fill || e) && (t.attributes.fill = "black"), t;
}
function sr(t) {
  return t.tag === "g" ? t.children : [t];
}
var fr = {
  hooks: function() {
    return {
      parseNodeAttributes: function(n, a) {
        var r = a.getAttribute("data-fa-mask"), i = r ? Dt(r.split(" ").map(function(o) {
          return o.trim();
        })) : ge();
        return i.prefix || (i.prefix = X()), n.mask = i, n.maskId = a.getAttribute("data-fa-mask-id"), n;
      }
    };
  },
  provides: function(e) {
    e.generateAbstractMask = function(n) {
      var a = n.children, r = n.attributes, i = n.main, o = n.mask, s = n.maskId, f = n.transform, c = i.width, l = i.icon, u = o.width, b = o.icon, g = oa({
        transform: f,
        containerWidth: u,
        iconWidth: c
      }), E = {
        tag: "rect",
        attributes: m(m({}, Xt), {}, {
          fill: "white"
        })
      }, C = l.children ? {
        children: l.children.map(Ge)
      } : {}, _ = {
        tag: "g",
        attributes: m({}, g.inner),
        children: [Ge(m({
          tag: l.tag,
          attributes: m(m({}, l.attributes), g.path)
        }, C))]
      }, v = {
        tag: "g",
        attributes: m({}, g.outer),
        children: [_]
      }, p = "mask-".concat(s || bt()), h = "clip-".concat(s || bt()), x = {
        tag: "mask",
        attributes: m(m({}, Xt), {}, {
          id: p,
          maskUnits: "userSpaceOnUse",
          maskContentUnits: "userSpaceOnUse"
        }),
        children: [E, v]
      }, A = {
        tag: "defs",
        children: [{
          tag: "clipPath",
          attributes: {
            id: h
          },
          children: sr(b)
        }, x]
      };
      return a.push(A, {
        tag: "rect",
        attributes: m({
          fill: "currentColor",
          "clip-path": "url(#".concat(h, ")"),
          mask: "url(#".concat(p, ")")
        }, Xt)
      }), {
        children: a,
        attributes: r
      };
    };
  }
}, lr = {
  provides: function(e) {
    var n = !1;
    G.matchMedia && (n = G.matchMedia("(prefers-reduced-motion: reduce)").matches), e.missingIconAbstract = function() {
      var a = [], r = {
        fill: "currentColor"
      }, i = {
        attributeType: "XML",
        repeatCount: "indefinite",
        dur: "2s"
      };
      a.push({
        tag: "path",
        attributes: m(m({}, r), {}, {
          d: "M156.5,447.7l-12.6,29.5c-18.7-9.5-35.9-21.2-51.5-34.9l22.7-22.7C127.6,430.5,141.5,440,156.5,447.7z M40.6,272H8.5 c1.4,21.2,5.4,41.7,11.7,61.1L50,321.2C45.1,305.5,41.8,289,40.6,272z M40.6,240c1.4-18.8,5.2-37,11.1-54.1l-29.5-12.6 C14.7,194.3,10,216.7,8.5,240H40.6z M64.3,156.5c7.8-14.9,17.2-28.8,28.1-41.5L69.7,92.3c-13.7,15.6-25.5,32.8-34.9,51.5 L64.3,156.5z M397,419.6c-13.9,12-29.4,22.3-46.1,30.4l11.9,29.8c20.7-9.9,39.8-22.6,56.9-37.6L397,419.6z M115,92.4 c13.9-12,29.4-22.3,46.1-30.4l-11.9-29.8c-20.7,9.9-39.8,22.6-56.8,37.6L115,92.4z M447.7,355.5c-7.8,14.9-17.2,28.8-28.1,41.5 l22.7,22.7c13.7-15.6,25.5-32.9,34.9-51.5L447.7,355.5z M471.4,272c-1.4,18.8-5.2,37-11.1,54.1l29.5,12.6 c7.5-21.1,12.2-43.5,13.6-66.8H471.4z M321.2,462c-15.7,5-32.2,8.2-49.2,9.4v32.1c21.2-1.4,41.7-5.4,61.1-11.7L321.2,462z M240,471.4c-18.8-1.4-37-5.2-54.1-11.1l-12.6,29.5c21.1,7.5,43.5,12.2,66.8,13.6V471.4z M462,190.8c5,15.7,8.2,32.2,9.4,49.2h32.1 c-1.4-21.2-5.4-41.7-11.7-61.1L462,190.8z M92.4,397c-12-13.9-22.3-29.4-30.4-46.1l-29.8,11.9c9.9,20.7,22.6,39.8,37.6,56.9 L92.4,397z M272,40.6c18.8,1.4,36.9,5.2,54.1,11.1l12.6-29.5C317.7,14.7,295.3,10,272,8.5V40.6z M190.8,50 c15.7-5,32.2-8.2,49.2-9.4V8.5c-21.2,1.4-41.7,5.4-61.1,11.7L190.8,50z M442.3,92.3L419.6,115c12,13.9,22.3,29.4,30.5,46.1 l29.8-11.9C470,128.5,457.3,109.4,442.3,92.3z M397,92.4l22.7-22.7c-15.6-13.7-32.8-25.5-51.5-34.9l-12.6,29.5 C370.4,72.1,384.4,81.5,397,92.4z"
        })
      });
      var o = m(m({}, i), {}, {
        attributeName: "opacity"
      }), s = {
        tag: "circle",
        attributes: m(m({}, r), {}, {
          cx: "256",
          cy: "364",
          r: "28"
        }),
        children: []
      };
      return n || s.children.push({
        tag: "animate",
        attributes: m(m({}, i), {}, {
          attributeName: "r",
          values: "28;14;28;28;14;28;"
        })
      }, {
        tag: "animate",
        attributes: m(m({}, o), {}, {
          values: "1;0;1;1;0;1;"
        })
      }), a.push(s), a.push({
        tag: "path",
        attributes: m(m({}, r), {}, {
          opacity: "1",
          d: "M263.7,312h-16c-6.6,0-12-5.4-12-12c0-71,77.4-63.9,77.4-107.8c0-20-17.8-40.2-57.4-40.2c-29.1,0-44.3,9.6-59.2,28.7 c-3.9,5-11.1,6-16.2,2.4l-13.1-9.2c-5.6-3.9-6.9-11.8-2.6-17.2c21.2-27.2,46.4-44.7,91.2-44.7c52.3,0,97.4,29.8,97.4,80.2 c0,67.6-77.4,63.5-77.4,107.8C275.7,306.6,270.3,312,263.7,312z"
        }),
        children: n ? [] : [{
          tag: "animate",
          attributes: m(m({}, o), {}, {
            values: "1;0;0;0;0;1;"
          })
        }]
      }), n || a.push({
        tag: "path",
        attributes: m(m({}, r), {}, {
          opacity: "0",
          d: "M232.5,134.5l7,168c0.3,6.4,5.6,11.5,12,11.5h9c6.4,0,11.7-5.1,12-11.5l7-168c0.3-6.8-5.2-12.5-12-12.5h-23 C237.7,122,232.2,127.7,232.5,134.5z"
        }),
        children: [{
          tag: "animate",
          attributes: m(m({}, o), {}, {
            values: "0;0;1;1;0;0;"
          })
        }]
      }), {
        tag: "g",
        attributes: {
          class: "missing"
        },
        children: a
      };
    };
  }
}, ur = {
  hooks: function() {
    return {
      parseNodeAttributes: function(n, a) {
        var r = a.getAttribute("data-fa-symbol"), i = r === null ? !1 : r === "" ? !0 : r;
        return n.symbol = i, n;
      }
    };
  }
}, cr = [la, qa, Qa, Za, Ja, rr, ir, or, fr, lr, ur];
Sa(cr, {
  mixoutsTo: N
});
N.noAuto;
var On = N.config;
N.library;
N.dom;
var zt = N.parse;
N.findIconDefinition;
N.toHtml;
var mr = N.icon;
N.layer;
var dr = N.text;
N.counter;
function Xe(t, e) {
  var n = Object.keys(t);
  if (Object.getOwnPropertySymbols) {
    var a = Object.getOwnPropertySymbols(t);
    e && (a = a.filter(function(r) {
      return Object.getOwnPropertyDescriptor(t, r).enumerable;
    })), n.push.apply(n, a);
  }
  return n;
}
function L(t) {
  for (var e = 1; e < arguments.length; e++) {
    var n = arguments[e] != null ? arguments[e] : {};
    e % 2 ? Xe(Object(n), !0).forEach(function(a) {
      I(t, a, n[a]);
    }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(t, Object.getOwnPropertyDescriptors(n)) : Xe(Object(n)).forEach(function(a) {
      Object.defineProperty(t, a, Object.getOwnPropertyDescriptor(n, a));
    });
  }
  return t;
}
function Rt(t) {
  "@babel/helpers - typeof";
  return Rt = typeof Symbol == "function" && typeof Symbol.iterator == "symbol" ? function(e) {
    return typeof e;
  } : function(e) {
    return e && typeof Symbol == "function" && e.constructor === Symbol && e !== Symbol.prototype ? "symbol" : typeof e;
  }, Rt(t);
}
function I(t, e, n) {
  return e = wr(e), e in t ? Object.defineProperty(t, e, {
    value: n,
    enumerable: !0,
    configurable: !0,
    writable: !0
  }) : t[e] = n, t;
}
function vr(t, e) {
  if (t == null)
    return {};
  var n = {}, a = Object.keys(t), r, i;
  for (i = 0; i < a.length; i++)
    r = a[i], !(e.indexOf(r) >= 0) && (n[r] = t[r]);
  return n;
}
function pr(t, e) {
  if (t == null)
    return {};
  var n = vr(t, e), a, r;
  if (Object.getOwnPropertySymbols) {
    var i = Object.getOwnPropertySymbols(t);
    for (r = 0; r < i.length; r++)
      a = i[r], !(e.indexOf(a) >= 0) && Object.prototype.propertyIsEnumerable.call(t, a) && (n[a] = t[a]);
  }
  return n;
}
function oe(t) {
  return br(t) || gr(t) || hr(t) || yr();
}
function br(t) {
  if (Array.isArray(t))
    return se(t);
}
function gr(t) {
  if (typeof Symbol < "u" && t[Symbol.iterator] != null || t["@@iterator"] != null)
    return Array.from(t);
}
function hr(t, e) {
  if (t) {
    if (typeof t == "string")
      return se(t, e);
    var n = Object.prototype.toString.call(t).slice(8, -1);
    if (n === "Object" && t.constructor && (n = t.constructor.name), n === "Map" || n === "Set")
      return Array.from(t);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n))
      return se(t, e);
  }
}
function se(t, e) {
  (e == null || e > t.length) && (e = t.length);
  for (var n = 0, a = new Array(e); n < e; n++)
    a[n] = t[n];
  return a;
}
function yr() {
  throw new TypeError(`Invalid attempt to spread non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`);
}
function kr(t, e) {
  if (typeof t != "object" || t === null)
    return t;
  var n = t[Symbol.toPrimitive];
  if (n !== void 0) {
    var a = n.call(t, e || "default");
    if (typeof a != "object")
      return a;
    throw new TypeError("@@toPrimitive must return a primitive value.");
  }
  return (e === "string" ? String : Number)(t);
}
function wr(t) {
  var e = kr(t, "string");
  return typeof e == "symbol" ? e : String(e);
}
var xr = typeof globalThis < "u" ? globalThis : typeof window < "u" ? window : typeof global < "u" ? global : typeof self < "u" ? self : {}, Pn = { exports: {} };
(function(t) {
  (function(e) {
    var n = function(v, p, h) {
      if (!c(p) || u(p) || b(p) || g(p) || f(p))
        return p;
      var x, A = 0, z = 0;
      if (l(p))
        for (x = [], z = p.length; A < z; A++)
          x.push(n(v, p[A], h));
      else {
        x = {};
        for (var T in p)
          Object.prototype.hasOwnProperty.call(p, T) && (x[v(T, h)] = n(v, p[T], h));
      }
      return x;
    }, a = function(v, p) {
      p = p || {};
      var h = p.separator || "_", x = p.split || /(?=[A-Z])/;
      return v.split(x).join(h);
    }, r = function(v) {
      return E(v) ? v : (v = v.replace(/[\-_\s]+(.)?/g, function(p, h) {
        return h ? h.toUpperCase() : "";
      }), v.substr(0, 1).toLowerCase() + v.substr(1));
    }, i = function(v) {
      var p = r(v);
      return p.substr(0, 1).toUpperCase() + p.substr(1);
    }, o = function(v, p) {
      return a(v, p).toLowerCase();
    }, s = Object.prototype.toString, f = function(v) {
      return typeof v == "function";
    }, c = function(v) {
      return v === Object(v);
    }, l = function(v) {
      return s.call(v) == "[object Array]";
    }, u = function(v) {
      return s.call(v) == "[object Date]";
    }, b = function(v) {
      return s.call(v) == "[object RegExp]";
    }, g = function(v) {
      return s.call(v) == "[object Boolean]";
    }, E = function(v) {
      return v = v - 0, v === v;
    }, C = function(v, p) {
      var h = p && "process" in p ? p.process : p;
      return typeof h != "function" ? v : function(x, A) {
        return h(x, v, A);
      };
    }, _ = {
      camelize: r,
      decamelize: o,
      pascalize: i,
      depascalize: o,
      camelizeKeys: function(v, p) {
        return n(C(r, p), v);
      },
      decamelizeKeys: function(v, p) {
        return n(C(o, p), v, p);
      },
      pascalizeKeys: function(v, p) {
        return n(C(i, p), v);
      },
      depascalizeKeys: function() {
        return this.decamelizeKeys.apply(this, arguments);
      }
    };
    t.exports ? t.exports = _ : e.humps = _;
  })(xr);
})(Pn);
var Ar = Pn.exports, Sr = ["class", "style"];
function Or(t) {
  return t.split(";").map(function(e) {
    return e.trim();
  }).filter(function(e) {
    return e;
  }).reduce(function(e, n) {
    var a = n.indexOf(":"), r = Ar.camelize(n.slice(0, a)), i = n.slice(a + 1).trim();
    return e[r] = i, e;
  }, {});
}
function Pr(t) {
  return t.split(/\s+/).reduce(function(e, n) {
    return e[n] = !0, e;
  }, {});
}
function we(t) {
  var e = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, n = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : {};
  if (typeof t == "string")
    return t;
  var a = (t.children || []).map(function(f) {
    return we(f);
  }), r = Object.keys(t.attributes || {}).reduce(function(f, c) {
    var l = t.attributes[c];
    switch (c) {
      case "class":
        f.class = Pr(l);
        break;
      case "style":
        f.style = Or(l);
        break;
      default:
        f.attrs[c] = l;
    }
    return f;
  }, {
    attrs: {},
    class: {},
    style: {}
  });
  n.class;
  var i = n.style, o = i === void 0 ? {} : i, s = pr(n, Sr);
  return qe(t.tag, L(L(L({}, e), {}, {
    class: r.class,
    style: L(L({}, r.style), o)
  }, r.attrs), s), a);
}
var En = !1;
try {
  En = process.env.NODE_ENV === "production";
} catch {
}
function Er() {
  if (!En && console && typeof console.error == "function") {
    var t;
    (t = console).error.apply(t, arguments);
  }
}
function ut(t, e) {
  return Array.isArray(e) && e.length > 0 || !Array.isArray(e) && e ? I({}, t, e) : {};
}
function Cr(t) {
  var e, n = (e = {
    "fa-spin": t.spin,
    "fa-pulse": t.pulse,
    "fa-fw": t.fixedWidth,
    "fa-border": t.border,
    "fa-li": t.listItem,
    "fa-inverse": t.inverse,
    "fa-flip": t.flip === !0,
    "fa-flip-horizontal": t.flip === "horizontal" || t.flip === "both",
    "fa-flip-vertical": t.flip === "vertical" || t.flip === "both"
  }, I(e, "fa-".concat(t.size), t.size !== null), I(e, "fa-rotate-".concat(t.rotation), t.rotation !== null), I(e, "fa-pull-".concat(t.pull), t.pull !== null), I(e, "fa-swap-opacity", t.swapOpacity), I(e, "fa-bounce", t.bounce), I(e, "fa-shake", t.shake), I(e, "fa-beat", t.beat), I(e, "fa-fade", t.fade), I(e, "fa-beat-fade", t.beatFade), I(e, "fa-flash", t.flash), I(e, "fa-spin-pulse", t.spinPulse), I(e, "fa-spin-reverse", t.spinReverse), e);
  return Object.keys(n).map(function(a) {
    return n[a] ? a : null;
  }).filter(function(a) {
    return a;
  });
}
function Ke(t) {
  if (t && Rt(t) === "object" && t.prefix && t.iconName && t.icon)
    return t;
  if (zt.icon)
    return zt.icon(t);
  if (t === null)
    return null;
  if (Rt(t) === "object" && t.prefix && t.iconName)
    return t;
  if (Array.isArray(t) && t.length === 2)
    return {
      prefix: t[0],
      iconName: t[1]
    };
  if (typeof t == "string")
    return {
      prefix: "fas",
      iconName: t
    };
}
var _r = tt({
  name: "FontAwesomeIcon",
  props: {
    border: {
      type: Boolean,
      default: !1
    },
    fixedWidth: {
      type: Boolean,
      default: !1
    },
    flip: {
      type: [Boolean, String],
      default: !1,
      validator: function(e) {
        return [!0, !1, "horizontal", "vertical", "both"].indexOf(e) > -1;
      }
    },
    icon: {
      type: [Object, Array, String],
      required: !0
    },
    mask: {
      type: [Object, Array, String],
      default: null
    },
    maskId: {
      type: String,
      default: null
    },
    listItem: {
      type: Boolean,
      default: !1
    },
    pull: {
      type: String,
      default: null,
      validator: function(e) {
        return ["right", "left"].indexOf(e) > -1;
      }
    },
    pulse: {
      type: Boolean,
      default: !1
    },
    rotation: {
      type: [String, Number],
      default: null,
      validator: function(e) {
        return [90, 180, 270].indexOf(Number.parseInt(e, 10)) > -1;
      }
    },
    swapOpacity: {
      type: Boolean,
      default: !1
    },
    size: {
      type: String,
      default: null,
      validator: function(e) {
        return ["2xs", "xs", "sm", "lg", "xl", "2xl", "1x", "2x", "3x", "4x", "5x", "6x", "7x", "8x", "9x", "10x"].indexOf(e) > -1;
      }
    },
    spin: {
      type: Boolean,
      default: !1
    },
    transform: {
      type: [String, Object],
      default: null
    },
    symbol: {
      type: [Boolean, String],
      default: !1
    },
    title: {
      type: String,
      default: null
    },
    titleId: {
      type: String,
      default: null
    },
    inverse: {
      type: Boolean,
      default: !1
    },
    bounce: {
      type: Boolean,
      default: !1
    },
    shake: {
      type: Boolean,
      default: !1
    },
    beat: {
      type: Boolean,
      default: !1
    },
    fade: {
      type: Boolean,
      default: !1
    },
    beatFade: {
      type: Boolean,
      default: !1
    },
    flash: {
      type: Boolean,
      default: !1
    },
    spinPulse: {
      type: Boolean,
      default: !1
    },
    spinReverse: {
      type: Boolean,
      default: !1
    }
  },
  setup: function(e, n) {
    var a = n.attrs, r = O(function() {
      return Ke(e.icon);
    }), i = O(function() {
      return ut("classes", Cr(e));
    }), o = O(function() {
      return ut("transform", typeof e.transform == "string" ? zt.transform(e.transform) : e.transform);
    }), s = O(function() {
      return ut("mask", Ke(e.mask));
    }), f = O(function() {
      return mr(r.value, L(L(L(L({}, i.value), o.value), s.value), {}, {
        symbol: e.symbol,
        title: e.title,
        titleId: e.titleId,
        maskId: e.maskId
      }));
    });
    Nn(f, function(l) {
      if (!l)
        return Er("Could not find one or more icon(s)", r.value, s.value);
    }, {
      immediate: !0
    });
    var c = O(function() {
      return f.value ? we(f.value.abstract[0], {}, a) : null;
    });
    return function() {
      return c.value;
    };
  }
});
tt({
  name: "FontAwesomeLayers",
  props: {
    fixedWidth: {
      type: Boolean,
      default: !1
    }
  },
  setup: function(e, n) {
    var a = n.slots, r = On.familyPrefix, i = O(function() {
      return ["".concat(r, "-layers")].concat(oe(e.fixedWidth ? ["".concat(r, "-fw")] : []));
    });
    return function() {
      return qe("div", {
        class: i.value
      }, a.default ? a.default() : []);
    };
  }
});
tt({
  name: "FontAwesomeLayersText",
  props: {
    value: {
      type: [String, Number],
      default: ""
    },
    transform: {
      type: [String, Object],
      default: null
    },
    counter: {
      type: Boolean,
      default: !1
    },
    position: {
      type: String,
      default: null,
      validator: function(e) {
        return ["bottom-left", "bottom-right", "top-left", "top-right"].indexOf(e) > -1;
      }
    }
  },
  setup: function(e, n) {
    var a = n.attrs, r = On.familyPrefix, i = O(function() {
      return ut("classes", [].concat(oe(e.counter ? ["".concat(r, "-layers-counter")] : []), oe(e.position ? ["".concat(r, "-layers-").concat(e.position)] : [])));
    }), o = O(function() {
      return ut("transform", typeof e.transform == "string" ? zt.transform(e.transform) : e.transform);
    }), s = O(function() {
      var c = dr(e.value.toString(), L(L({}, o.value), i.value)), l = c.abstract;
      return e.counter && (l[0].attributes.class = l[0].attributes.class.replace("fa-layers-text", "")), l[0];
    }), f = O(function() {
      return we(s.value, {}, a);
    });
    return function() {
      return f.value;
    };
  }
});
const Ir = ["role"], Nr = { class: "visually-hidden" }, Tr = /* @__PURE__ */ tt({
  __name: "TarSpinner",
  props: {
    grow: { type: [Boolean, String] },
    inline: { type: [Boolean, String] },
    label: { default: "Loading..." },
    role: { default: "status" },
    small: { type: [Boolean, String] },
    variant: {}
  },
  setup(t) {
    const e = t, n = O(() => {
      const a = P(e.grow) ? "grow" : "border", r = [`spinner-${a}`];
      return P(e.small) && r.push(`spinner-${a}-sm`), e.variant && r.push(`text-${e.variant}`), r;
    });
    return (a, r) => V(P)(a.inline) ? (F(), $("span", {
      key: 0,
      class: ct(n.value),
      "aria-hidden": "true"
    }, null, 2)) : (F(), $("div", {
      key: 1,
      class: ct(n.value),
      role: a.role
    }, [
      H(a.$slots, "label-override", {}, () => [
        Ft("span", Nr, Nt(a.label), 1)
      ])
    ], 10, Ir));
  }
}), Lr = ["disabled", "name", "type", "value"], Mr = {
  class: "visually-hidden",
  role: "status"
}, zr = /* @__PURE__ */ tt({
  __name: "TarButton",
  props: {
    disabled: { type: [Boolean, String] },
    icon: {},
    loading: { type: [Boolean, String] },
    name: {},
    nowrap: { type: [Boolean, String] },
    outline: { type: [Boolean, String] },
    size: { default: "medium" },
    status: { default: "Loading..." },
    text: {},
    type: { default: "button" },
    value: {},
    variant: { default: "primary" }
  },
  emits: ["click"],
  setup(t) {
    const e = t, n = O(() => {
      const a = ["btn"];
      switch (e.variant && a.push(P(e.outline) ? `btn-outline-${e.variant}` : `btn-${e.variant}`), P(e.nowrap) && a.push("text-nowrap"), e.size) {
        case "large":
          a.push("btn-lg");
          break;
        case "small":
          a.push("btn-sm");
          break;
      }
      return a;
    });
    return (a, r) => (F(), $("button", {
      class: ct(n.value),
      disabled: V(P)(a.disabled),
      name: a.name,
      type: a.type,
      value: a.value,
      onClick: r[0] || (r[0] = (i) => a.$emit("click"))
    }, [
      V(P)(a.loading) ? H(a.$slots, "spinner", { key: 0 }, () => [
        xe(Tr, {
          inline: "",
          small: ""
        }),
        Ft("span", Mr, Nt(a.status), 1),
        a.text ? (F(), $(Ut, { key: 0 }, [
          Wt(" ")
        ], 64)) : et("", !0)
      ], !0) : a.icon ? H(a.$slots, "icon-override", { key: 1 }, () => [
        xe(V(_r), { icon: a.icon }, null, 8, ["icon"]),
        a.text ? (F(), $(Ut, { key: 0 }, [
          Wt(" ")
        ], 64)) : et("", !0)
      ], !0) : et("", !0),
      a.text ? (F(), $(Ut, { key: 2 }, [
        Wt(Nt(a.text), 1)
      ], 64)) : et("", !0),
      H(a.$slots, "default", {}, void 0, !0)
    ], 10, Lr));
  }
}), Rr = (t, e) => {
  const n = t.__vccOpts || t;
  for (const [a, r] of e)
    n[a] = r;
  return n;
}, Ur = /* @__PURE__ */ Rr(zr, [["__scopeId", "data-v-19270d92"]]);
let Fr = (t = 21) => crypto.getRandomValues(new Uint8Array(t)).reduce((e, n) => (n &= 63, n < 36 ? e += n.toString(36) : n < 62 ? e += (n - 26).toString(36).toUpperCase() : n > 62 ? e += "-" : e += "_", e), "");
const $r = ["aria-label", "checked", "disabled", "id", "name", "required", "role", "value"], jr = ["for"], Wr = /* @__PURE__ */ tt({
  __name: "TarCheckbox",
  props: {
    ariaLabel: {},
    disabled: { type: [Boolean, String] },
    id: {},
    inline: { type: [Boolean, String] },
    label: {},
    modelValue: { type: [Boolean, String] },
    name: {},
    required: { type: [Boolean, String] },
    reverse: { type: [Boolean, String] },
    role: {},
    switch: { type: [Boolean, String] },
    value: {}
  },
  emits: ["update:model-value"],
  setup(t, { expose: e, emit: n }) {
    const a = t, r = Tn(), i = O(() => {
      const u = ["form-check"];
      return P(a.inline) && u.push("form-check-inline"), P(a.reverse) && u.push("form-check-reverse"), P(a.switch) && u.push("form-switch"), u;
    }), o = O(() => a.id ?? Fr()), s = O(() => a.role ?? (a.switch ? "switch" : void 0)), f = n;
    function c(u) {
      f("update:model-value", u.target.checked);
    }
    function l() {
      var u;
      (u = r.value) == null || u.focus();
    }
    return e({ focus: l }), (u, b) => (F(), $("div", {
      class: ct(i.value)
    }, [
      H(u.$slots, "default", {}, () => [
        Ft("input", {
          "aria-label": u.ariaLabel,
          checked: V(P)(u.modelValue),
          class: "form-check-input",
          disabled: V(P)(u.disabled),
          id: o.value,
          name: u.name,
          ref_key: "inputRef",
          ref: r,
          required: V(P)(u.required),
          role: s.value,
          type: "checkbox",
          value: u.value,
          onChange: c
        }, null, 40, $r),
        H(u.$slots, "label-override", {}, () => [
          u.label ? (F(), $("label", {
            key: 0,
            class: "form-check-label",
            for: o.value
          }, Nt(u.label), 9, jr)) : et("", !0)
        ])
      ])
    ], 2));
  }
});
export {
  Br as TarAlert,
  Ur as TarButton,
  Wr as TarCheckbox,
  Tr as TarSpinner,
  Yr as parsingUtils
};
//# sourceMappingURL=logitar-vue3-ui.js.map
